; 
; 320x240 LCD 20 Zeilen Text je 40 Zeichen ( 8x12 Zeichensatz), CSize=12, XSize=40 
; oder        15 Zeilen Text je 32 Zeichen (10x16 Zeichensatz), CSize=16, XSize=32 
; oder        13 Zeilen Text je 26 Zeichen (12x16 Zeichensatz), CSize=18, XSize=27 
; oder        10 Zeilen Text je 20 Zeichen (16x24 Zeichensatz), CSize=24, XSize=20
; Empfang der Zeichen ber I2C-Bus oder seriell
//  512Byte Bootloader PD0/PD1
// Mega8, FuseBitsH: statt D9h C4h 
// Mega8, FuseBitsL: statt E1h 3Fh (16MHz, Quarz, 1:1)
.org 4096-64-512
Version_p:
.db "I2CSerLCD40x21, 26.01.13, V1.06",13,10,0

Baud1_p:
.db "Baudrate = ",0

BaudText_p: // const char BaudText_p[8][7]
.db "  4800",0,"  9600",0," 19200",0," 28800",0," 38400",0," 57600",0," 76800",0,"115200",0

BaudWert_p: // const uint8_t BaudWert_p[8] PROGMEM ={207,103,51,34,25,16,12,8};
.db 207,103,51,34,25,16,12,8

Info_p:
.db "21 Zeilen a 40 Zeichen",0,0

; hier Mega8; fr Mega88 mssen u.a. in/out gegen lds/sts getauscht werden
.include "m8def.inc"

;Im Interrupt genutzte und genderte Register:
.def regsave    =r2
.def clockL     =r3
.def clockH     =r4
.def X_Cnt      =r5
.def CursorSave =r6
.def blinkcount =r7
.def invsel     =r8
.def YSaveL     =r10
.def YSaveH     =r11
.def WPos       =r12
.def RPos       =r13
.def XSaveL     =r14
.def XSaveH     =r15
.def tempi      =r16
.def tempi2     =r17
.def Y_Cnt      =r18
.def C_Cnt      =r19
.def flags      =r23
;zustzlich: X (r26,r27) und Z (r30,r31)

;Sonstige Register:
; r0 fr lpm und EEPROM
.def temp       =r20
.def temp2      =r21
.def RX         =r22
.def temp3      =r24
;zustzlich: Y (r28,r29)

.equ CURSOR     =0
.equ DOBLINK    =1
.equ MEMIDLE    =2
.equ BLINKSTATE =3
.equ BLINKCURSOR=4

;PortB
.equ    CLOCK   =0                  ; Pixelclock
.equ    PWM     =1                  ; PWM fr Contrast
.equ    LP      =2                  ; Latch Puls (HSync)
.equ    FRAME   =3                  ; First Line Marker (VSync)
.equ    M       =4                  ; AC Drive
.equ    ONOFF   =5                  ; LCD (VLCD) Enable

;PortC
; C0..C3: Daten an LCD
; C4    : SDA
; C5    : SCL

;PortD
; D0..D1: Rxd, Txd
; D2: Taster
; D3: LED

;Werte
.equ Framerate  =68                 ; Refreshrate
.equ F_CPU      =16000000           ; CPU Freq
.equ RX_Buffer  =32                 ; UART Buffer
.equ CURSOR_CHAR=219                ; ASCII Zeichen das als Cursor verwendet wird
.equ BlinkFreq  =221                ; Blinkfrequenz (0-255) 

;Betriebsart:
.equ Baudrate   =57600              ; Baudrate
.equ Modus      = 1                 ; nur 1 getestet

.if (Modus==1) ; 21Zeilen a 40Zeichen
 .equ CSize      =12; 12,18,24
 .equ XSize      =40; 40,27,20
.endif

.if (Modus==2) ; 15Zeilen a 32Zeichen
 .equ CSize      =16; 12,18,24
 .equ XSize      =32; 40,27,20
.endif

.if (Modus==3) ; 13Zeilen a 27Zeichen
 .equ CSize      =18; 12,18,24
 .equ XSize      =27; 40,27,20
.endif

.if (Modus==4) ; 10Zeilen a 20Zeichen 
 .equ CSize      =24; 12,18,24
 .equ XSize      =20; 40,27,20
.endif

; Interne Konstanten
.equ HFREQ      =Framerate*256
.equ TDIV       =((F_CPU/8+(HFREQ)/2)/HFREQ)
.equ YSize      =256/CSize ; = 21.333; 21x12=252

.equ Bauddiv    =(F_CPU/16+Baudrate/2)/Baudrate-1

; TWI Slave Receiver Codes
.equ TWI_SLAVE_ADRESSE      = 0x10 ; eigene SLAVE ADRESSE 2...126; geradzahlig
.equ TW_SR_SLA_ACK          = 0x60; x60 01100000 (SLA+W wurde empfangen-ACK wurde zurckgesendet)                                                   
.equ TW_SR_ARB_LOST_SLA_ACK = 0x68; x68 01101000 (Arbitration verloren in SLA+R/W als MASTER;  SLA+W wurde empfangen;  ACK wurde zurckgesendet     
.equ TW_SR_GCALL_ACK        = 0x70; x70 01110000 (General call address wurde empfangen;  ACK wurde zurckgesendet                                   
.equ TW_SR_ARB_LOST_GCALL_ACK=0x78; x78 01111000 (Arbitration verloren in SLA+R/W als MASTER;General call address wurde empfangen; ACK wurde zurckgesendet
.equ TW_SR_DATA_ACK         = 0x80; x80 10000000 (die vorher adressierten (SLA+W) Daten wurden empfangen;  ACK wurde zurckgesendet                 
.equ TW_SR_DATA_NACK        = 0x88; x88 10001000 (die vorher adressierten (SLA+W) Daten wurden empfangen; ACK wurde nicht zurckgesedet             
.equ TW_SR_GCALL_DATA_ACK   = 0x90; x90 10010000 (die vorher adressierten (General call) Daten wurden empfangen;  ACK wurde zurckgesendet          
.equ TW_SR_GCALL_DATA_NACK  = 0x98; x98 10011000 (die vorher adressierten (General call) Daten wurden empfangen;  ACK wurde nicht zurckgesendet    
.equ TW_SR_STOP             = 0xA0; xA0 10100000 (STOP wurde empfangen, oder wiederholter Start)                                                    
; TWI Slave Transmitter Codes
.equ TW_ST_SLA_ACK          = 0xA8; xA8 10101000 (SLA+R wurde empfangen; ACK wurde zurckgesendet)                                              
.equ TW_ST_ARB_LOST_SLA_ACK = 0xB0; xB0 10110000 (Arbitration verlor SLA+R/W als MASTER, ACK wurde zurckgesendet)                              
.equ TW_ST_DATA_ACK         = 0xB8; xB8 10111000 (TWDR ist bertragen worden;  ACK ist empfangen worden                                         
.equ TW_ST_DATA_NACK        = 0xC0; xC0 11000000 (TWDR ist bertragen worden;  ACK ist NICHT empfangen worden                                   
.equ TW_ST_LAST_DATA        = 0xC8; xC8 11001000 (Letztes Datenbyte in TWDR ist bertragen worden (TWEA = "0");  Ack ist empfangen worden       
.equ TW_NO_INFO             = 0xF8; xF8 11111000 (Keine relevanten Zustandinformationen vorhanden;  TWINT = "0" keine TWDR-Ttigkeit            
.equ TW_BUS_ERROR           = 0x00; x00 00000000 (Bus-Error wegen ungltige STARToder STOP BEDIgung; keine TWDR-Ttigkeit                       


.dseg    ; beginnt bei 100h
DDRAM:   .byte   XSize*YSize         ; DDRAM
RXBUF:   .byte   RX_Buffer           ; RX Buffer
invtab:  .byte   YSize               ; Invert select
DDRamPtr:.byte   2



.cseg
.org 0
rjmp Reset

//.org OC2Aaddr
.org OC2addr
rjmp LCD_Line
    
.org URXCaddr
rjmp UART_RX_int

.org TWIaddr    
rjmp TWI_RX_int


Reset:
    ldi temp, low(RAMEND)
    out SPL, temp                   ;setup stack pointer
    ldi temp, high(RAMEND)
    out SPH, temp                   ;setup stack pointer

    ldi temp, 0x0F      ; PC4,5 fr I2C
    out DDRC, temp
    ser temp            ; temp = 0xFF
    out PORTC, temp
    out DDRB, temp

    sbi PORTD, (PD0)
    ldi temp,(1<<PD3)|(1<<PD6) ; PD6=OC0A (PWM)
    out DDRD, temp
    sbi PORTD, (PD2) ; PORTD2 = 1;
/*
; Timer 0 fr PWM Hintergrundbeleuchtung
    ldi temp, (1<<WGM00)|(1<<COM0A1)|(1<<COM0A0); 8bit phase correct PWM
    sts TCCR0A, temp
    ldi temp, 128
    sts OCR0A, temp
    ldi temp, (1<<CS00); 1:1 clk -> PWM=16Mhz/510=31372Hz
    sts TCCR0B, temp

;Timer 1 (16 bit) zur Kontrastregelung
    ldi temp, (1<<WGM10)|(1<<COM1A1)|(1<<COM1A0); 8bit PWM
    sts TCCR1A, temp

    ldi temp, 1                     ; 62,5kHz PWM
    sts TCCR1B, temp

    ldi temp, 128
    sts OCR1AL, temp
*/
;Timer 1 (16 bit) zur Kontrastregelung
    ldi   temp, (1<<WGM10)|(1<<COM1A1)|(1<<COM1A0); 8bit PWM, Ausgabe auf OC1A
    out   TCCR1A, temp                ;Timer Counter Control Register 1A (Timer 1)
    
    ldi   temp, 1                     ;Systemtakt/256 -> 62,5kHz PWM
    out   TCCR1B, temp                ;Timer Counter Control Register 1B (Timer 1)

    ldi   temp2, 0        ; EE-Adresse=0
    rcall eeprom_read
//    sts   OCR1AL, temp
    out   OCR1AL, temp

;Timer 2 (8 bit) zur Interruptsteuerung fr LCD
    ldi temp, TDIV-1
    out OCR2, temp
/*
    sts OCR2A, temp
    ldi temp, (1<<WGM10)            ; CTC
    sts TCCR2A, temp

    ldi temp, (1<<CS21)             ; 1:8
    sts TCCR2B, temp
    
    ldi temp, (1<<OCIE2A)           ; Compare2A Interrupt: Beginn der Datenausgabe
    sts TIMSK2, temp
*/
    ldi     temp, (1<<WGM21)|2      ; CTC (Clear Timer on Compare match), Vorteiler = 8
    out     TCCR2, temp

    ldi temp, (1<<OCIE2)            ; Compare2A Interrupt: Beginn der Datenausgabe
    out TIMSK, temp

    rcall  TWI_INI
NeuStart:    
    ldi   temp2, 2        ; EE-Adresse=2
    rcall eeprom_read     ; Ergebnis in temp
    andi  temp,0x07       ; 0..7 erlaubt
	ldi	  ZH,high(2*BaudWert_p);
	ldi	  ZL,low (2*BaudWert_p);
    clr   r1
    add   ZL, temp
    adc   ZH, r1
    lpm
    out   UBRRL, r0

//    ldi temp, (1<<RXEN0)|(1<<TXEN0)|(1<<RXCIE0)    ; RX aktivieren
    ldi temp, (1<<RXEN)|(1<<TXEN)|(1<<RXCIE)    ; RX aktivieren
//    sts UCSR0B, temp        
    out UCSRB, temp        
    
; Text seriell ausgeben
	ldi	 ZH,high(2*Version_p);
	ldi	 ZL,low (2*Version_p);
LadeTxt:
	lpm				; load memory byte into r0
	tst   r0		; Endezeichen = 0
	breq  EndeText	; fertig
Warte:
//	lds   temp,UCSR0A   ; USART Data Register Empty?
	in   temp,UCSRA   ; USART Data Register Empty?
//    sbrs  temp,UDRE0    ; skip if UDRE=1
    sbrs  temp,UDRE    ; skip if UDRE=1
    rjmp  Warte
//    sts   UDR0, r0
    out   UDR, r0
	adiw  ZL,1		    ; nchstes Byte
	rjmp  LadeTxt

EndeText:
;   Variablen Initialisierung
    clr RPos
    clr WPos
    clr flags

    ldi YL, low(invtab)
    ldi YH, high(invtab)

    ldi temp, 0
    clrloopi:
        st Y+, temp
        ldi temp2, high(YSize+invtab)
        cpi YL, low(YSize+invtab)
        cpc YH, temp2
        brne clrloopi

    ldi YL, low(DDRAM)
    ldi YH, high(DDRAM)

    ldi temp, 32 ; Blank in DDRAM
    clrloop:
        st Y+, temp
        ldi temp2, high(XSize*YSize+DDRAM)
        cpi YL, low(XSize*YSize+DDRAM)
        cpc YH, temp2
    brne clrloop
    
; DDRamPtr = &DDRAM (=100h):
    ldi YL, low (DDRAM)
    ldi YH, high(DDRAM)
    sts DDRamPtr+1, YH
    sts DDRamPtr, YL

; ab hier Text auf Display
    ldi  YL, low(DDRAM+0*XSize)
    ldi  YH, high(DDRAM+0*XSize)
	ldi	 ZH,high(2*Version_p);
	ldi	 ZL,low (2*Version_p);
nZeich1:
    lpm
    mov  temp, r0
	tst  temp		; Endezeichen = 0
	breq Zeile2 	; fertig
    st   Y+, temp
	adiw ZL,1		; nchstes Byte
    rjmp nZeich1

Zeile2:    
    ldi  YL, low(DDRAM+1*XSize) // 2. Zeile
    ldi  YH, high(DDRAM+1*XSize)
    ldi  temp2, XSize-1 ; Anzahl Zeichen pro Zeile
    ldi  temp, '.'
nZeich2:
    st   Y+, temp
    dec  temp2
    brne nZeich2
    
    ldi  YL, low(DDRAM+2*XSize) // 3. Zeile
    ldi  YH, high(DDRAM+2*XSize)
    ldi  temp2, XSize-1 ; Anzahl Zeichen pro Zeile
    ldi  temp, '+'
nZeich3:
    st   Y+, temp
    dec  temp2
    brne nZeich3
    
    ldi   YL, low(DDRAM+3*XSize) ; 4. Zeile
    ldi   YH, high(DDRAM+3*XSize)

	ldi	  ZH,high(2*Baud1_p);
	ldi	  ZL,low (2*Baud1_p);
nZeich4:
	lpm				; load memory byte into r0
	tst   r0		; Endezeichen = 0
	breq  nZeich4a 
    mov   temp,r0
    st    Y+, temp
	adiw  ZL,1		; nchstes Byte
    rjmp  nZeich4

nZeich4a:
    ldi   temp2, 2        ; EE-Adresse=2
    rcall eeprom_read     ; Ergebnis in temp
    andi  temp, 0x07      ; 0..7
    ldi   temp2, 7        ; mal 7
    mul   temp2, temp     ; Ergebnis in r1(H):r0(L]
    clr   r1

	ldi	  ZH,high(2*BaudText_p);
	ldi	  ZL,low (2*BaudText_p);
    add   ZL, r0
    adc   ZH, r1
nZeich4b:
	lpm				; load memory byte into r0
	tst   r0		; Endezeichen = 0
	breq  Zeile5 
    mov   temp,r0
    st    Y+, temp
	adiw  ZL,1		; nchstes Byte
    rjmp  nZeich4b

Zeile5:    
    ldi  YL, low(DDRAM+4*XSize) // 5. Zeile
    ldi  YH, high(DDRAM+4*XSize)
	ldi	 ZH,high(2*Info_p);
	ldi	 ZL,low (2*Info_p);
nZeich5:
    lpm
    mov  temp, r0
	tst  temp		; Endezeichen = 0
	breq EndeBText 	; fertig
    st   Y+, temp
	adiw ZL,1		; nchstes Byte
    rjmp nZeich5

// -----------------------------------------------
Delay100ms: // _delay_ms(100);
     ldi	temp, 0xFF	; 255
     ldi	r24, 0xE1	; 225
     ldi	r25, 0x04	; 4
Del1:
     subi	temp, 0x01	; 1
     sbci	r24, 0x00	; 0
     sbci	r25, 0x00	; 0
     brne	Del1      	; 
     ret
// -----------------------------------------------

EndeBText: ; Ende Begrungstext
    ldi   XL, low(DDRAM)
    ldi   XH, high(DDRAM)
    MOVW  XSaveL,XL      ; wird sofort in Int-Routine benutzt
    sei
    sbi   PORTB, ONOFF

wait_uart:             ; warten, bis 1. Zeichen empfangen oder Taster gedrckt
    sbic  PIND, 2
    rjmp  warte2       ; PIND2=1
warte1:
    sbi   PORTD, (PD3) ; PORTD3 = 1; -> LED
    rcall Delay100ms
    sbis  PIND, 2
    rjmp  warte1       ; warten bis PIND2 wieder 1
    rcall Delay100ms
    ldi   temp2, 2     ; EE-Adresse=2
    rcall eeprom_read  ; Ergebnis in temp
    subi  temp, 0xFF   ; +1
    andi  temp, 0x07
    rcall eeprom_write ; Adresse in temp2, Wert in temp
    rcall Delay100ms
    cli
    rjmp  NeuStart

warte2:  
    cp   WPos, RPos    ; Begrungstext lschen wenn 1. Zeichen empfangen
    breq wait_uart

    ldi temp, 32
    ldi YL, low(DDRAM)
    ldi YH, high(DDRAM)
clrloopw:
        st Y+, temp
        ldi temp2, high(XSize*YSize+DDRAM)
        cpi YL, low(XSize*YSize+DDRAM)
        cpc YH, temp2
        brne clrloopw

    ldi YL, low(DDRAM)
    ldi YH, high(DDRAM)

;****************************************************************************
;   Hauptprogramm
;****************************************************************************
Mainloop:
    rcall rxuart
    sbr   flags, 1<<MEMIDLE
    rjmp  Mainloop

rxuart:         ;UART Daten verarbeiten
    rcall uart_getchar
    cbr   flags, 1<<MEMIDLE
    cpi   RX, 32
    brlo  command
    sbrc  flags, CURSOR
    st    Y, CursorSave
    st    Y+, RX   ;Daten
    ldi   temp, high(XSize*YSize+DDRAM)
    cpi   YL, low(XSize*YSize+DDRAM)
    cpc   YH, temp
    brlo  skipwpreset
    ldi   YL, low(DDRAM)
    ldi   YH, high(DDRAM)
skipwpreset:
    sbrs  flags, CURSOR
    ret
    ld    CursorSave, Y
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret


command:                  ;Befehle
    cpi   RX, 1           ;Home
    brne  com2
    sbrc  flags, CURSOR
    st    Y, CursorSave
    ldi   YL, low(DDRAM)
    ldi   YH, high(DDRAM)
    sbrs  flags, CURSOR
    ret
    ld    CursorSave, Y
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com2:
    cpi   RX, 2           ;Display aus
    brne  com3
    cbi   PORTB, ONOFF
    ret
com3:
    cpi   RX, 3           ;Display an
    brne  com4
    sbi   PORTB, ONOFF
    ret
com4:
    cpi   RX, 4           ;Cursor aus
    brne  com5
    sbrc  flags, CURSOR
    st    Y, CursorSave
    cbr   flags, (1<<CURSOR)|(1<<BLINKCURSOR)
    ret
com5:
    cpi   RX, 5           ; H-Frequenz ndern
    brne  com6
    rcall uart_getchar
    sts   OCR2, RX
    ret
com6:
    cpi   RX, 6           ;Cursor an
    brne  com7
    sbrs  flags, CURSOR
    ld    CursorSave, Y
    sbr   flags, 1<<CURSOR
    cbr   flags, (1<<BLINKCURSOR)
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com7:
    cpi   RX, 7           ;Blinkender Cursor an
    brne  com8
    sbrs  flags, CURSOR
    ld    CursorSave, Y
    sbr   flags, (1<<CURSOR)|(1<<BLINKCURSOR)
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com8:
    cpi   RX, 8           ; Backspace
    brne  com9
    sbrc  flags, CURSOR
    st    Y, CursorSave
    subi  YL, 1
    sbci  YH, 0
    ldi   temp, high(DDRAM)
    cpi   YL,   low (DDRAM)
    cpc   YH, temp
    brsh  exbs
    ldi   YL, low (DDRAM)
    ldi   YH, high(DDRAM)
exbs:
    ldi   temp, 32
    st    Y, temp
    sbrs  flags, CURSOR
    ret
    ld    CursorSave, Y
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com9:
    cpi   RX, 9           ; in <RX>: Anzahl der zu sendenden Zeilen
    brne  com10
    rcall uart_getchar
    mov   temp2, RX
    lds   YL, DDRamPtr    ; ldt Inhalt von DDRamPtr in YL
    lds   YH, DDRamPtr+1
    ldi   temp3, 40
com9a:
    ld    RX, Y+          ; RX = *(DDRamPtr++);
    rcall SendeZeich      ; verwendet temp
    dec   temp3
    breq  com9b
    rjmp  com9a
com9b:
    ldi   RX, 13
    rcall SendeZeich      ; verwendet temp
    ldi   RX, 10
    rcall SendeZeich      ; verwendet temp
    ldi   temp3, 40
    dec   temp2
    brne  com9a
    ret

com10:
    cpi   RX, 10          ;Line Feed
    brne  com11
    sbrc  flags, CURSOR
    st    Y, CursorSave
    subi  YL, low(-XSize)
    sbci  YH, high(-XSize)
    ldi   temp, high(XSize*YSize+DDRAM)
    cpi   YL, low(XSize*YSize+DDRAM)
    cpc   YH, temp
    brlo  skipres
; Text nach oben scrollen
    ldi   temp, ' '       ; Blank in r1
    mov   r1, temp
    ldi   temp, XSize
    ldi   temp2,YSize-1
    ldi   YL, low(DDRAM)
    ldi   YH, high(DDRAM)
com10a:
    ldd   r0, Y+XSize
    std   Y+XSize,r1      ; Blank an alter Stelle
    st    Y+, r0
    dec   temp
    brne  com10a
    ldi   temp, XSize
    dec   temp2
    brne  com10a
    ldi   YL, low(DDRAM+XSize*(YSize-1))
    ldi   YH, high(DDRAM+XSize*(YSize-1))
skipres:
    sbrs  flags, CURSOR
    ret
    ld    CursorSave, Y
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com11:
    cpi   RX, 11          ;Delete in place
    brne  com12
    ldi   temp, 32
    st    Y, temp
    sbrs  flags, CURSOR
    ret
    ldi   temp,32
    mov   CursorSave, temp
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com12:
    cpi   RX, 12          ;Clear all
    brne  com13
    ldi   YL, low(DDRAM)
    ldi   YH, high(DDRAM)
    ldi   temp, 32
    ldi   temp2, high(XSize*YSize+DDRAM)
clrloop2:
    st    Y+, temp
    cpi   YL, low(XSize*YSize+DDRAM)
    cpc   YH, temp2
    brne  clrloop2
    ldi   YL, low(DDRAM)
    ldi   YH, high(DDRAM)
    sbrs  flags, CURSOR
    ret
    ldi   temp, 32
    mov   CursorSave, temp
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com13:
    cpi   RX, 13          ; CR
    brne  com14
    sbrc  flags, CURSOR
    st    Y, CursorSave
    ldi   temp, low(XSize*(YSize-1)+DDRAM)    ; Anfang unterste Zeile
    ldi   temp2, high(XSize*(YSize-1)+DDRAM)
crloop:
    cp    YL, temp
    cpc   YH, temp2
    brsh  gotvalue       ; Position an erster Stelle der aktuellen Zeile gefunden
    subi  temp, low(XSize)
    sbci  temp2, high(XSize)
    rjmp  crloop
gotvalue:
    mov   YL, temp
    mov   YH, temp2
    sbrs  flags, CURSOR
    ret
    ld    CursorSave, Y
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com14:
    cpi   RX, 14          ; DDRamPtr(L,H) direkt setzen
    brne  com15
    rcall uart_getchar
    sts   DDRamPtr+0, Rx  ; Low
    rcall uart_getchar
    sts   DDRamPtr+1, Rx
    ret
com15:
    cpi   RX, 15          ; Kontrast (0..255)
    brne  com16
    rcall uart_getchar
    out   OCR1AL, RX
    ldi   temp2, 0     ; EE[0]
    mov   temp, RX
    rcall eeprom_write    ; Adresse in temp, Wert in RX
    ret
com16:
    cpi   RX, 16          ; Kontrast aus EE
    brne  com17
    ldi   temp2, 0        ; EE-Adresse = EE[0]
    rcall eeprom_read
    out   OCR1AL, temp
    ret
com17:
    cpi   RX, 17          ; Set Cursor
    brne  com18
    sbrc  flags, CURSOR
    st    Y, CursorSave
    rcall uart_getchar
    mov   temp, RX
    rcall uart_getchar
    ldi   temp2, XSize
    mul   RX, temp2
    mov   YH, r1
    mov   YL, r0
    subi  YL, low(-DDRAM)     ; Offset aufaddieren
    sbci  YH, high(-DDRAM)
    add   YL, temp            ; Spalte aufaddieren
    ldi   temp, 0
    adc   YH, temp
    ldi   temp, high(XSize*YSize+DDRAM)
    cpi   YL, low(XSize*YSize+DDRAM)
    cpc   YH, temp
    brlo  skiprs
    ldi   YL, low(DDRAM)
    ldi   YH, high(DDRAM)
skiprs:
    sbrs  flags, CURSOR
    ret
    ld    CursorSave, Y
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com18:
    cpi   RX, 18          ;
    brne  com19
; DDRamPtr = &DDRAM (=100h):
    ldi YL, low (DDRAM)
    ldi YH, high(DDRAM)
    sts DDRamPtr+1, YH
    sts DDRamPtr, YL
    ret
com19:
    cpi   RX, 19          ; LED-Beleuchtung aus EE
    brne  com20x          ; com20 ist Schlsselwort
    ret
com20x:
    cpi   RX, 20          ; LED-Beleuchtung 
    brne  com21x
    ret

com21x:
    cpi   RX, 21          ; frei
    brne  com22
    ret

com22:
    cpi   RX, 22          ; frei
    brne  com30
    ret

com30:
    cpi   RX, 30          ; Send direct
    brne  com31
    sbrc  flags, CURSOR
    st    Y, CursorSave
    rcall uart_getchar
    rcall uart_getchar
    st    Y+, RX       ; Daten
    ldi   temp, high(XSize*YSize+DDRAM)
    cpi   YL, low(XSize*YSize+DDRAM)
    cpc   YH, temp
    brlo  skipwpreset2
    ldi   YL, low(DDRAM)
    ldi   YH, high(DDRAM)
skipwpreset2:
    sbrs  flags, CURSOR
    ret
    ld    CursorSave, Y
    ldi   temp, CURSOR_CHAR
    st    Y, temp
    ret
com31:
    cpi   RX, 31          ; invert select
    brne  com32
    push  YL
    push  YH
    ldi   YL, low(invtab)
    ldi   YH, high(invtab)
    rcall uart_getchar
    cpi   RX, YSize
    brlo  skiplim31
    ldi   RX, 0
skiplim31:
    add   YL, RX
    clr   RX
    adc   YH, RX
    rcall uart_getchar
    st    Y, RX
    pop   YH
    pop   YL
    ret
com32:
    ret

uart_getchar:
    cp    WPos, RPos
    breq  uart_getchar
; jetzt Zeichen da, wird in RX abgespeichert
    movw  YSaveL, YL
    inc   RPos
    mov   RX, RPos
    andi  RX, RX_Buffer-1
    mov   RPos, RX
    clr   RX
    ldi   YL, low(RXBUF)
    ldi   YH, high(RXBUF)
    add   YL, RPos
    adc   YH, RX
    ld    RX, Y
    movw  YL, YSaveL
    ret

UART_RX_int:
    in    regsave, sreg
    In    tempi, UDR
//    lds   tempi, UDR0
    inc   WPos
    mov   tempi2, WPos
    andi  tempi2, RX_Buffer-1
    cp    tempi2, RPos
    breq  buffer_full
    mov   WPos, tempi2
    clr   tempi2
    ldi   XL, low(RXBUF)
    ldi   XH, high(RXBUF)
    add   XL, WPos
    adc   XH, tempi2
    st    X, tempi
buffer_full:
    out   sreg, regsave
    reti

; Timer-Einsprung
LCD_Line:                    ;Bildbeginn
    in   regsave, sreg
    ldi  tempi, XSize
    mov  X_Cnt, tempi
    in   tempi, PORTB
    cbr  tempi, 1<<CLOCK
    mov  clockL, tempi
    sbr  tempi, 1<<CLOCK
    mov  clockH, tempi
    movw XL, XSaveL
    tst  invsel
    brne hloopinv
;---------------------------------------------------------------------
.if (CSize==12)               ; 1Byte pro Zeile 
hloop:                        ; Loop fr 1 Zeile
    out  PORTB, clockL        ; PCLK L                1   -> 4 Takte H
; ldt Inhalt von DDRAM[i] in Z
    ld   ZL, X+               ; ASCII aus RAM lesen   2
    lpm  tempi, Z             ; Byte aus CGROM lesen  3
    out PORTB, clockH         ; PCLK H                1   -> 4 Takte L
    out  PORTC, tempi         ; Low Nibble ausgeben   1
    out  PORTB, clockL        ; PCLK L                1   -> 2 Takte H
    swap tempi                ;                       1
    out  PORTC, tempi         ; High Nibble ausgeben  1
    out  PORTB, clockH        ; PCLK H                1   -> 3 Takte L
    dec  X_Cnt                ;                       1
    brne hloop                ;                       2
                              ;                     =15 Takte pro Byte
    out  PORTB, clockL        ; PCLK L

hloopend:
    sbi   PORTB, LP
    dec   C_Cnt               ; Zhler fr Zeichenhhe erniedrigen
    nop
    nop
    cbi   PORTB, LP
    cbi   PORTB, FRAME
    breq  skipcloop           ; 1 Textzeile fertig ausgegeben ?
    inc   ZH                  ; Nein -> Bilddatenadresse fr nchste Pixelzeile laden und
    sbiw  XL, XSize           ; Textadresse wieder an Anfang der Textzeile setzen
    rjmp  exit_int

hloopinv:                   ; Loop fr 1 Zeile, invertiert
    out PORTB, clockL       ; PCLK L                1   -> 4 Takte H
    ld ZL, X+               ; ASCII aus RAM lesen   2
    lpm tempi, Z            ; Byte aus CGROM lesen  3
    out PORTB, clockH       ; PCLK H                1   -> 4 Takte L
    com tempi               ; Pixel invertieren     1
    out PORTC, tempi        ; Low Nibble ausgeben   1
    out PORTB, clockL       ; PCLK L                1   -> 3 Takte H
    swap tempi              ;                       1
    out PORTC, tempi        ; High Nibble ausgeben  1
    out PORTB, clockH       ; PCLK H                1   -> 3 Takte L
    dec X_Cnt               ;                       1
    brne hloopinv           ;                       2
                            ;                     =16 Takte pro Byte
    out PORTB, clockL       ; PCLK L
    rjmp hloopend
.endif

;---------------------------------------------------------------------
.if (CSize==24 || CSize==18 || CSize==16)  ; 2-1.5-1.5 Byte pro Zeile
hloop:        
        OUT       PORTB,clockL 
; ldt Inhalt von DDRAM[i] in Z
        LD        ZL,X+         ; startet mit X = DDRAM    
        LSL       ZL            ; links schieben = *2  
        LPM       tempi,Z+     
; wenn CSize==16,18, dann hchstes HalbByte berspringen
.if (CSize==24)
        OUT       PORTB,clockH
        NOP                    
        OUT       PORTC,tempi 
        OUT       PORTB,clockL
.endif
        SWAP      tempi 
        OUT       PORTC,tempi    
        OUT       PORTB,clockH  
        NOP                     
        NOP                      
        OUT       PORTB,clockL 
        LPM       tempi,Z       
        OUT       PORTB,clockH 
        NOP                    
        OUT       PORTC,tempi
        OUT       PORTB,clockL 
        SWAP      tempi        
        OUT       PORTC,tempi   
        OUT       PORTB,clockH   
        DEC       X_Cnt          
        BRNE       hloop       
        OUT       PORTB,clockL  
hloopend:
        SBI       PORTB,LP
        NOP                      
        NOP                      
        NOP                      
        CBI       PORTB,LP
        NOP                      
        DEC       C_Cnt            
        CBI       PORTB,FRAME
        BREQ       skipcloop      
        INC       ZH  
        SBIW      XL, XSize     ; X := X - XSize
        RJMP       exit_int

hloopinv: ; Loop fr 1 Zeile, invertiert
        OUT       PORTB,clockL 
        LD        ZL,X+         
        LSL       ZL            
        LPM       tempi,Z+        
        OUT       PORTB,clockH   
        COM       tempi 
; wenn CSize==16,18, dann hchstes HalbByte berspringen
.if (CSize==24)
        OUT       PORTB,clockH  
        OUT       PORTC,tempi 
        OUT       PORTB,clockL  
.endif
        SWAP      tempi      
        OUT       PORTC,tempi   
        OUT       PORTB,clockH  
        NOP                     
        NOP                     
        OUT       PORTB,clockL  
        LPM       tempi,Z+      
        OUT       PORTB,clockH
        COM       tempi         
        OUT       PORTC,tempi   
        OUT       PORTB,clockL  
        SWAP      tempi           
        OUT       PORTC,tempi    
        OUT       PORTB,clockH 
        DEC       X_Cnt         
        BRNE       hloopinv   
	    out PORTB, clockL		; PCLK L
        RJMP       hloopend
.endif
;---------------------------------------------------------------------

skipcloop:                    ; Alles fr neue Textzeile einrichten
    ldi   C_Cnt, CSize        ; Zeichenhhen Counter laden
    inc   Y_Cnt               ; Zeilencounter erhhen
    ldi   ZL, low(invtab)
    ldi   ZH, high(invtab)
    clr   tempi
    add   ZL, Y_Cnt
    adc   ZH, tempi
    ld    invsel, Z
    ldi   ZH, high(2*font)    ; CGROM Offset
    cpi   Y_Cnt, YSize        ; Bildende ?
    brne  exit_int
; noch 5xLeerzeile; eigentlich 4, da 21*12+4=256, dann aber 1. Zeichen links zu dunkel
    sbi   PORTB, LP
    nop
    nop
    cbi   PORTB, LP
    nop
    sbi   PORTB, LP
    nop
    nop
    cbi   PORTB, LP
    nop
    sbi   PORTB, LP
    nop
    nop
    cbi   PORTB, LP
    nop

    sbi   PORTB, LP
    nop
    nop
    cbi   PORTB, LP
    nop
    sbi   PORTB, LP
    nop
    nop
    cbi   PORTB, LP
/* */
; sym. Rechtecksignal M = /M
    sbis  PORTB, M
    sbi   PORTB, M
    sbic  PINB,  M
    cbi   PORTB, M

    sbi   PORTB, FRAME
    clr   Y_Cnt
    ldi   XL, low(DDRAM)
    ldi   XH, high(DDRAM)
    lds   invsel, invtab
    dec   blinkcount
    brne  exit_int
    ldi   tempi, 255-BlinkFreq
    mov   blinkcount, tempi
    sbr   flags, 1<<DOBLINK
exit_int:
    sbrs  flags, BLINKCURSOR
    rjmp  skipcursor
    sbrs  flags, DOBLINK
    rjmp  skipcursor
    sbrs  flags, MEMIDLE
    rjmp  skipcursor
    cbr   flags, 1<<DOBLINK
    sbrs  flags, BLINKSTATE
    st Y, CursorSave
    ldi   tempi, CURSOR_CHAR
    sbrc  flags, BLINKSTATE
    st Y, tempi
    ldi   tempi, 1<<BLINKSTATE
    eor  flags, tempi
skipcursor:
    movw  XSaveL, XL
    out   sreg, regsave
    reti


TWI_INI:
//    lds tempi, PORTC
    in tempi, PORTC
    ori tempi, (1<<PC4)|(1<<PC5) // pull-up einschalten
//    sts PORTC, tempi
    out PORTC, tempi
    
    ; TWI TWAR (nur SLAVE)  Adress-Register     
    ldi tempi, (TWI_SLAVE_ADRESSE)	; keine Reaktion auf General Call 
//    sts TWAR,tempi
    out TWAR,tempi
    ; TWI TWCR              Control-REGISTER; I2C freigeben mit Interrupt   
    ldi tempi, 1<<TWINT|1<<TWEA|0<<TWSTA|0<<TWSTO|0<<TWWC|1<<TWEN|1<<TWIE
//    sts TWCR, tempi
    out TWCR, tempi
    ret
    
;------------------------------------------
; Interruptroutine, aufgerufen wenn I2C-nderung
TWI_RX_int:
    in regsave, sreg

//    lds tempi, TWSR      ; Status-Register abfragen                      
    in tempi, TWSR      ; Status-Register abfragen                      
    andi tempi, 0xF8     ; Bit0...2 ausblenden (Prescaler und Reserve-Bit)
    
    cpi tempi, TW_SR_SLA_ACK             ; x60   
    breq TWSI_TW_SR_SLA_ACK
    cpi tempi, TW_SR_ARB_LOST_SLA_ACK    ; x68   
    breq TWSI_TW_SR_ARB_LOST_SLA_ACK
    cpi tempi, TW_SR_GCALL_ACK           ; x70   
    breq TWSI_TW_SR_GCALL_ACK
    cpi tempi, TW_SR_ARB_LOST_GCALL_ACK  ; x78   
    breq TWSI_TW_SR_ARB_LOST_GCALL_ACK
    cpi tempi, TW_SR_DATA_ACK            ; x80   
    breq TWSI_TW_SR_DATA_ACK        
    cpi tempi, TW_SR_DATA_NACK           ; x88   
    breq TWSI_TW_SR_DATA_NACK
    cpi tempi, TW_SR_GCALL_DATA_ACK      ; x90   
    breq TWSI_TW_SR_GCALL_DATA_ACK   
    cpi tempi, TW_SR_GCALL_DATA_NACK     ; x98   
    breq TWSI_TW_SR_GCALL_DATA_NACK
    cpi tempi, TW_SR_STOP                ; xA0   
    breq TWSI_TW_SR_STOP            
;   
    cpi tempi, TW_ST_SLA_ACK             ; 0xA8  
    breq TWSI_TW_ST_SLA_ACK 
    cpi tempi, TW_ST_ARB_LOST_SLA_ACK    ; 0xB0  
    breq TWSI_TW_ST_ARB_LOST_SLA_ACK
    cpi tempi, TW_ST_DATA_ACK            ; 0xB8  
    breq TWSI_TW_ST_DATA_ACK
    cpi tempi, TW_ST_DATA_NACK           ; 0xC0  
    breq TWSI_TW_ST_DATA_NACK
    cpi tempi, TW_ST_LAST_DATA           ; 0xC8  
    breq TWSI_TW_ST_LAST_DATA 
    cpi tempi, TW_NO_INFO                ; 0xF8  
    breq TWSI_TW_NO_INFO
    cpi tempi, TW_BUS_ERROR              ; 0x00  
    breq TWSI_TW_BUS_ERROR 
    rjmp TWSI_TW_BUS_ERROR              ; nicht behandelte Status-Zustnde  

; SLAVE RECEIVER                
TWSI_TW_SR_SLA_ACK:                     ; x60   01100000 (SLA+W wurde empfangen-ACK wurde zurckgesendet)
    rjmp TWSI_w
TWSI_TW_SR_ARB_LOST_SLA_ACK:            ; x68   01101000 (Arbitration verloren in SLA+R/W als MASTER;  SLA+W wurde empfangen;  ACK wurde zurckgesendet
    rjmp TWSI_w
TWSI_TW_SR_GCALL_ACK:                   ; x70   01110000 (General call address wurde empfangen;  ACK wurde zurckgesendet       
    rjmp TWSI_w
TWSI_TW_SR_ARB_LOST_GCALL_ACK:          ; x78   01111000 (Arbitration verloren in SLA+R/W als MASTER;General call address wurde empfangen; ACK wurde zurckgesendet
    rjmp TWSI_w

TWSI_TW_SR_DATA_ACK:                    ; x80   10000000 (die vorher adressierten (SLA+W) Daten wurden empfangen;  ACK wurde zurckgesendet 
//    lds tempi, TWDR   ; DATA
    in tempi, TWDR   ; DATA
    inc WPos
    mov tempi2, WPos
    andi tempi2, RX_Buffer-1
    cp tempi2, RPos
    breq tbuffer_full
    mov WPos, tempi2
    clr tempi2
    ldi XL, low(RXBUF)
    ldi XH, high(RXBUF)
    add XL, WPos
    adc XH, tempi2
    st X, tempi
tbuffer_full:


    rjmp TWSI_w
TWSI_TW_SR_DATA_NACK:                   ; x88   10001000 (die vorher adressierten (SLA+W) Daten wurden empfangen; ACK wurde nicht zurckgesedet
    rjmp TWSI_w
TWSI_TW_SR_GCALL_DATA_ACK:              ; x90   10010000 (die vorher adressierten (General call) Daten wurden empfangen;  ACK wurde zurckgesendet  
    rjmp TWSI_w
TWSI_TW_SR_GCALL_DATA_NACK:             ; x98   10011000 (die vorher adressierten (General call) Daten wurden empfangen;  ACK wurde nicht zurckgesendet    
    rjmp TWSI_w
TWSI_TW_SR_STOP:                        ; xA0   10100000 (STOP wurde empfangen, oder wiederholter Start)
    rjmp TWSI_w

;   SLAVE TRANSMITTER       
TWSI_TW_ST_SLA_ACK:                     ; xA8   10101000 (SLA+R wurde empfangen; ACK wurde zurckgesendet)      
TWSI_TW_ST_ARB_LOST_SLA_ACK:            ; xB0   10110000 (Arbitration verlor SLA+R/W als MASTER, ACK wurde zurckgesendet)  
TWSI_TW_ST_DATA_ACK:                    ; xB8   10111000 (TWDR ist bertragen worden;  ACK ist empfangen worden
    lds  YL, DDRamPtr
    lds  YH, DDRamPtr+1
    ld   tempi, Y+                      ; tempi = *(DDRamPtr++);
    sts  DDRamPtr+1, YH
    sts  DDRamPtr, YL
; tempi = *(DDRamPtr++);
    out  TWDR, tempi                     ; DATA auf I2C
    rjmp TWSI_w
TWSI_TW_ST_DATA_NACK:                   ; xC0   11000000 (TWDR ist bertragen worden;  ACK ist NICHT empfangen worden
    rjmp TWSI_w
TWSI_TW_ST_LAST_DATA:                   ; xC8   11001000 (Letztes Datenbyte in TWDR ist bertragen worden (TWEA = "0");  Ack ist empfangen worden
    rjmp TWSI_w
TWSI_TW_NO_INFO:                        ; xF8   11111000 (Keine relevanten Zustandinformationen vorhanden;  TWINT = "0" keine TWDR-Ttigkeit 
    rjmp TWSI_w
TWSI_TW_BUS_ERROR:                      ; x00   00000000 (Bus-Error wegen ungltige START oder STOP Bedingung; keine TWDR-Ttigkeit 
; TWI STOP
    ldi tempi, (1<<TWINT)|(1<<TWEN)|(1<<TWSTO)
    out TWCR, tempi
; TWI aus
    ldi tempi, (0<<TWEN)
    out TWCR, tempi
; TWI INITIALISIERUNG
    rcall TWI_INI
TWSI_w:
    ldi  tempi, (1<<TWINT)|(1<<TWEA)|(1<<TWEN)|(1<<TWIE)  ;das TWINT-Flag lschen ((logisch 1)
    out TWCR,tempi
    out sreg, regsave
    reti

// Uart:
SendeZeich:             ; zu sendenden Zeichen in RX
    in    temp,UCSRA   ; USART Data Register Empty?
    sbrs  temp,UDRE    ; skip if UDRE=1
    rjmp  SendeZeich
    out   UDR, RX
    ret

eeprom_write: ; Adresse in temp2, Wert in temp
//    sbic  EECR,EEPE
    sbic  EECR,EEWE
    rjmp  eeprom_write; Schreiben noch nicht abgeschlossen
    clr   r0
    out   EEARH, r0
    out   EEARL, temp2
    out   EEDR, temp
    sbi   EECR, EEMWE
    sbi   EECR, EEWE ; Beginn Schreiben EE   
    ret
    
eeprom_read: ; Adresse in temp2, Erg in temp
    sbic  EECR,EEWE
    rjmp  eeprom_read; Schreiben noch nicht abgeschlossen
    clr   r0
    out   EEARH, r0
    out   EEARL, temp2
    sbi   EECR, EERE ; Lesen EE   
    in    temp, EEDR
    ret
    
.org 1024

.if (CSize==12)
font:
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x1F
.db 0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x3F
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x00 ; 0x5F
.db 0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x7F
.db 0x00,0x00,0xC0,0x03,0x00,0x0C,0x83,0x00,0x03,0x00,0x0C,0x00,0x01,0x06,0x00,0x87,0xC0,0x00,0x00,0x03,0x00,0x0C,0x03,0x0C,0x00,0x00,0xCC,0x00,0xC3,0x00,0x00,0xE0 ; 0x9F
.db 0xC0,0xC0,0xC0,0xC0,0x00,0x67,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x42,0x55,0xD6,0x81,0x81,0xC0,0x87,0x06,0x00,0x66,0x66,0x00,0x66,0x00,0xCC,0x00 ; 0xBF
.db 0x81,0x81,0x00,0x81,0x00,0x81,0x00,0x67,0x66,0x00,0x66,0x00,0x66,0x00,0x66,0x00,0xCC,0x00,0x87,0x00,0x06,0x00,0x81,0x87,0x00,0x81,0x00,0xFF,0x00,0x00,0x06,0xFF ; 0xDF
.db 0x81,0x00,0x87,0x06,0x00,0x67,0x00,0x00,0x00,0x81,0x87,0x06,0x60,0x81,0x00,0xC0,0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0xFF

.db 0x00,0xE7,0xE7,0x00,0x01,0x81,0x81,0x00,0x00,0x00,0x00,0xE3,0xC3,0x00,0xF7,0x00,0x08,0x20,0x81,0x66,0xF7,0xE7,0x00,0x81,0x81,0x81,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x1F
.db 0x00,0x03,0x66,0xC6,0x03,0x00,0x07,0x03,0xC0,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0xC7,0x01,0x87,0x87,0xC0,0xCF,0x83,0xEF,0x87,0x87,0x00,0x00,0xC0,0x00,0x06,0x87 ; 0x3F
.db 0xC7,0x03,0xCF,0xC3,0x8F,0xEF,0xEF,0xC3,0xCC,0x87,0xE1,0x6E,0x0F,0x6C,0x6C,0x83,0xCF,0x83,0xCF,0x87,0xCF,0xCC,0xCC,0x6C,0xCC,0xCC,0xEF,0xC3,0x00,0xC3,0x83,0x00 ; 0x5F
.db 0x03,0x00,0x0E,0x00,0xC1,0x00,0x83,0x00,0x0E,0x81,0xC0,0x0E,0x87,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC1,0x81,0x0E,0x37,0x00 ; 0x7F
.db 0x87,0xCC,0x81,0x87,0xCC,0x06,0xC6,0x00,0x87,0xCC,0x06,0xC6,0x83,0x03,0xCC,0xCC,0x81,0x00,0xE3,0x87,0xCC,0x06,0x87,0x06,0x66,0xCC,0x00,0x00,0x66,0xA3,0x00,0xB1 ; 0x9F
.db 0x81,0x81,0x81,0x81,0x67,0xCD,0x87,0x87,0x03,0x83,0x00,0x26,0x36,0x03,0x00,0x00,0x29,0xAA,0xBD,0x81,0x81,0x81,0xCC,0x03,0x83,0x66,0x66,0x00,0x66,0x03,0xCC,0x00 ; 0xBF
.db 0x81,0x81,0x00,0x81,0x00,0x81,0x67,0xCD,0x66,0x00,0x66,0x00,0x66,0x00,0x66,0x00,0x03,0x8F,0xCC,0xCC,0x03,0x0F,0x03,0xCC,0xCC,0x81,0x00,0xFF,0x00,0x81,0x03,0xFF ; 0xDF
.db 0x03,0x87,0xCC,0x03,0x67,0xCD,0x00,0x00,0x0F,0x03,0xCC,0x03,0xC0,0x03,0xCF,0x81,0x00,0x00,0x00,0x33,0xF7,0xE7,0x00,0x00,0xC3,0xCC,0x00,0x03,0x87,0x87,0x00,0x00 ; 0xFF

.db 0x00,0x3C,0xFF,0x44,0x83,0xC3,0xC3,0x00,0x00,0x00,0x00,0xE0,0x66,0x00,0x36,0x81,0x0C,0x60,0xC3,0x66,0xBD,0x36,0x00,0xC3,0xC3,0x81,0x00,0x00,0x00,0x00,0x01,0xEF ; 0x1F
.db 0x00,0x87,0x66,0xC6,0xC7,0x00,0x8D,0x03,0x81,0x03,0x00,0x00,0x00,0x00,0x00,0x20,0x6C,0x03,0xCC,0xCC,0xC1,0x0C,0x06,0x6C,0xCC,0xCC,0x00,0x00,0x81,0x00,0x03,0xCC ; 0x3F
.db 0x6C,0x87,0x66,0x66,0xC6,0x26,0x66,0x66,0xCC,0x03,0xC0,0x66,0x06,0xEE,0x6C,0xC6,0x66,0xC6,0x66,0xCC,0x4B,0xCC,0xCC,0x6C,0xCC,0xCC,0xEC,0x03,0x08,0xC0,0xC6,0x00 ; 0x5F
.db 0x81,0x00,0x06,0x00,0xC0,0x00,0xC6,0x00,0x06,0x81,0xC0,0x06,0x81,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x81,0x03,0xAD,0x00 ; 0x7F
.db 0xCC,0xCC,0x03,0xCC,0xCC,0x03,0xC6,0x00,0xCC,0xCC,0x03,0xC6,0xC6,0x81,0x00,0xCC,0x00,0x00,0x87,0xCC,0xCC,0x03,0xCC,0x03,0x66,0x00,0xCC,0x00,0x06,0xC6,0x00,0x81 ; 0x9F
.db 0x03,0x03,0x03,0x03,0xCD,0x00,0xCC,0xCC,0x03,0x44,0x00,0x6E,0x6E,0x03,0x00,0x00,0x94,0x55,0x6B,0x81,0x81,0x00,0x00,0x00,0x44,0x66,0x66,0x00,0x66,0x03,0xCC,0x00 ; 0xBF
.db 0x81,0x81,0x00,0x81,0x00,0x81,0xCD,0x00,0x66,0x00,0x66,0x00,0x66,0x00,0x66,0x00,0x8D,0xC6,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x81,0x00,0xFF,0x00,0x81,0x00,0xFF ; 0xDF
.db 0x00,0xCC,0x00,0x00,0xCD,0x00,0x00,0x0E,0x06,0x00,0x00,0x00,0x81,0x00,0x00,0x03,0x00,0x03,0x00,0x66,0xBD,0x36,0x03,0x00,0x66,0x00,0x00,0x07,0xC0,0xC0,0x00,0x00 ; 0xFF

.db 0x00,0x18,0xFF,0xEE,0xC7,0xC3,0xE7,0x00,0x00,0x00,0x00,0xA3,0x66,0x00,0xF7,0xBD,0x0E,0xE0,0xE7,0x66,0xBD,0x03,0x00,0xE7,0xE7,0x81,0x81,0x03,0x00,0x42,0x01,0xEF ; 0x1F
.db 0x00,0x87,0x66,0xEF,0x0C,0x4C,0x8D,0x03,0x03,0x81,0x66,0x81,0x00,0x00,0x00,0x60,0xEC,0x0F,0xCC,0xC0,0xC3,0x0C,0x0C,0x6C,0xCC,0xCC,0x83,0x83,0x03,0x00,0x81,0xC0 ; 0x3F
.db 0x6C,0xCC,0x66,0x6C,0x66,0x06,0x26,0x6C,0xCC,0x03,0xC0,0xC6,0x06,0xEF,0x6E,0x6C,0x66,0x6C,0x66,0xCC,0x03,0xCC,0xCC,0x6C,0xCC,0xCC,0x89,0x03,0x0C,0xC0,0x6C,0x00 ; 0x5F
.db 0x00,0x00,0x06,0x00,0xC0,0x00,0x06,0x00,0x06,0x00,0x00,0x06,0x81,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x81,0x03,0xEC,0x01 ; 0x7F
.db 0xCC,0x00,0x00,0x00,0x00,0x00,0x83,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x87,0xCF,0x00,0x8D,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0xCC,0x00,0x06,0xEC,0x00,0x81 ; 0x9F
.db 0x00,0x00,0x00,0x00,0x00,0x6C,0xCC,0xCC,0x00,0xAB,0x00,0xC6,0xC6,0x00,0x00,0x00,0x42,0xAA,0xD6,0x81,0x81,0x03,0x03,0x03,0xAB,0x66,0x66,0x00,0x66,0x87,0xCC,0x00 ; 0xBF
.db 0x81,0x81,0x00,0x81,0x00,0x81,0x00,0x03,0x66,0x00,0x66,0x00,0x66,0x00,0x66,0x00,0xC0,0x66,0xCF,0xCF,0xCF,0x03,0x87,0x87,0x87,0x81,0x00,0xFF,0x00,0x81,0x87,0xFF ; 0xDF
.db 0x87,0xCC,0x87,0x87,0x00,0x87,0x00,0x06,0xC7,0xCC,0xCC,0xCC,0x00,0xCC,0x00,0x00,0x00,0x03,0x00,0xC3,0xBD,0x03,0x03,0x00,0x66,0x00,0x00,0x03,0x83,0x81,0xCF,0x00 ; 0xFF

.db 0x00,0x5A,0xBD,0xEF,0xEF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x27,0x66,0x00,0x36,0xE7,0x8F,0xE3,0x81,0x66,0xBD,0xC3,0x00,0x81,0x81,0x81,0xC0,0x06,0x0C,0x66,0x83,0xC7 ; 0x1F
.db 0x00,0x87,0x42,0xC6,0x0C,0xCC,0x07,0x06,0x06,0xC0,0xC3,0x81,0x00,0x00,0x00,0xC0,0xED,0x03,0xC0,0xC0,0xC6,0x0C,0x0C,0x60,0xCC,0xCC,0x83,0x83,0x06,0xE7,0xC0,0x81 ; 0x3F
.db 0xED,0xCC,0x66,0x0C,0x66,0x46,0x46,0x0C,0xCC,0x03,0xC0,0xC6,0x06,0xEF,0x6F,0x6C,0x66,0x6C,0x66,0x0C,0x03,0xCC,0xCC,0x6C,0x87,0xCC,0x81,0x03,0x06,0xC0,0x00,0x00 ; 0x5F
.db 0x00,0x87,0xC7,0x87,0xC7,0x87,0x06,0x67,0xC6,0x87,0xC3,0x66,0x81,0xCF,0x8F,0x87,0xCD,0x67,0xCE,0x87,0xCF,0xCC,0xCC,0x6C,0x6C,0x66,0xCF,0x06,0x81,0x81,0x00,0x83 ; 0x7F
.db 0x0C,0xCC,0x87,0x87,0x87,0x87,0x8F,0x87,0x87,0x87,0x87,0x87,0x87,0x87,0x87,0x87,0x4C,0xEF,0x8D,0x87,0x87,0x87,0xCC,0xCC,0x66,0xCC,0xCC,0x87,0x06,0x6D,0x00,0xE7 ; 0x9F
.db 0x87,0x87,0x87,0xCC,0x8F,0x6E,0xE7,0x87,0x03,0xAA,0x00,0x87,0x87,0x03,0x33,0xCC,0x29,0x55,0xBD,0x81,0x81,0x87,0x87,0x87,0x2A,0x6E,0x66,0xEF,0x6E,0xCC,0x87,0x00 ; 0xBF
.db 0x81,0x81,0x00,0x81,0x00,0x81,0x87,0x87,0x76,0xF7,0x7E,0xFF,0x76,0xFF,0x7E,0x00,0x60,0x66,0x4C,0x4C,0x4C,0x03,0x03,0x03,0x03,0x81,0x00,0xFF,0x00,0x81,0x03,0xFF ; 0xDF
.db 0xCC,0x8D,0xCC,0xCC,0x87,0xCC,0x66,0xC7,0x66,0xCC,0xCC,0xCC,0x66,0xCC,0x00,0x00,0x00,0xCF,0x00,0x8F,0xBD,0xC3,0x00,0x00,0x66,0x00,0x00,0x03,0xC0,0x03,0xCF,0x00 ; 0xFF

.db 0x00,0x18,0xFF,0xEF,0xEF,0x7E,0xFF,0x00,0x00,0x00,0x00,0x8F,0xC3,0x00,0x36,0x7E,0xEF,0xEF,0x81,0x66,0xB7,0x66,0x00,0x81,0x81,0x81,0xEF,0xEF,0x0C,0xFF,0x83,0xC7 ; 0x1F
.db 0x00,0x03,0x00,0xC6,0x87,0x81,0xAF,0x00,0x06,0xC0,0xFF,0xE7,0x00,0xEF,0x00,0x81,0x6D,0x03,0x81,0x83,0xCC,0x8F,0x8F,0xC0,0x87,0xC7,0x00,0x00,0x0C,0x00,0x60,0x03 ; 0x3F
.db 0xED,0xCC,0xC7,0x0C,0x66,0xC7,0xC7,0x0C,0xCF,0x03,0xC0,0x87,0x06,0x6D,0xEF,0x6C,0xC7,0x6C,0xC7,0x07,0x03,0xCC,0xCC,0x6D,0x03,0x87,0x03,0x03,0x03,0xC0,0x00,0x00 ; 0x5F
.db 0x00,0xC0,0x66,0xCC,0xCC,0xCC,0x8F,0xCC,0x67,0x81,0xC0,0xC6,0x81,0x6D,0xCC,0xCC,0x66,0xCC,0xE6,0xCC,0x06,0xCC,0xCC,0x6C,0xC6,0x66,0xC8,0x0C,0x00,0xC0,0x00,0xC6 ; 0x7F
.db 0x0C,0xCC,0xCC,0xC0,0xC0,0xC0,0xC0,0xCC,0xCC,0xCC,0xCC,0x81,0x81,0x81,0xCC,0xCC,0x0C,0xB1,0xEF,0xCC,0xCC,0xCC,0xCC,0xCC,0x66,0xCC,0xCC,0xCC,0xCF,0x6D,0x6C,0x81 ; 0x9F
.db 0xC0,0x81,0xCC,0xCC,0xCC,0x6F,0x00,0x00,0x06,0xAB,0xCF,0x03,0x73,0x03,0x66,0x66,0x94,0xAA,0x6B,0x81,0x8F,0xCC,0xCC,0xCC,0x2A,0x60,0x66,0x60,0x60,0x0C,0xCF,0x8F ; 0xBF
.db 0xF1,0xFF,0xFF,0xF1,0xFF,0xFF,0xC0,0xCC,0x06,0x06,0x00,0x00,0x06,0x00,0x00,0x6C,0xE7,0x6F,0x0C,0x0C,0x0C,0xCF,0x03,0x03,0x03,0x8F,0xF1,0xFF,0x00,0x00,0x03,0xFF ; 0xDF
.db 0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0x66,0x66,0x66,0xCC,0xCC,0xCC,0x66,0xCC,0x00,0x00,0xCF,0x03,0x8F,0x73,0xB7,0x66,0xCF,0x00,0xC3,0x00,0x81,0x87,0x87,0xC7,0xCF,0x00 ; 0xFF

.db 0x00,0xDB,0x3C,0xEF,0xC7,0x7E,0xE7,0x00,0x00,0x00,0x00,0xCC,0x81,0x00,0x36,0x7E,0x8F,0xE3,0x81,0x00,0xB1,0x66,0x00,0x81,0x81,0x81,0xC0,0x06,0x0C,0x66,0xC7,0x83 ; 0x1F
.db 0x00,0x03,0x00,0xC6,0xC0,0x03,0xED,0x00,0x06,0xC0,0xC3,0x81,0x00,0x00,0x00,0x03,0x6F,0x03,0x03,0xC0,0xEF,0xC0,0xCC,0x81,0xCC,0x81,0x00,0x00,0x06,0xE7,0xC0,0x03 ; 0x3F
.db 0xED,0xCF,0x66,0x0C,0x66,0x46,0x46,0xEC,0xCC,0x03,0xCC,0xC6,0x26,0x6C,0xED,0x6C,0x06,0xEC,0xC6,0x81,0x03,0xCC,0xCC,0x6D,0x87,0x03,0x06,0x03,0x81,0xC0,0x00,0x00 ; 0x5F
.db 0x00,0xC7,0x66,0x0C,0xCC,0xCF,0x06,0xCC,0x66,0x81,0xC0,0x87,0x81,0x6D,0xCC,0xCC,0x66,0xCC,0x67,0x06,0x06,0xCC,0xCC,0x6D,0x83,0x66,0x81,0x06,0x81,0x81,0x00,0x6C ; 0x7F
.db 0x0C,0xCC,0xCF,0xC7,0xC7,0xC7,0xC7,0x0C,0xCF,0xCF,0xCF,0x81,0x81,0x81,0xCC,0xCC,0x8F,0xF7,0x8D,0xCC,0xCC,0xCC,0xCC,0xCC,0x66,0xCC,0xCC,0xCD,0x06,0x6D,0xC6,0x81 ; 0x9F
.db 0xC7,0x81,0xCC,0xCC,0xCC,0xED,0xEF,0xEF,0x0C,0x2B,0xC0,0xE6,0xF6,0x87,0xCC,0x33,0x42,0x55,0xD6,0x81,0x81,0xCC,0xCC,0xCC,0x2A,0x60,0x66,0x60,0x60,0x0C,0x03,0x81 ; 0xBF
.db 0x00,0x00,0x81,0x81,0x00,0x81,0xC7,0xCC,0x06,0x06,0x00,0x00,0x06,0x00,0x00,0xC7,0x6C,0x66,0x8F,0x8F,0x8F,0x00,0x03,0x03,0x03,0x00,0x81,0xFF,0xFF,0x81,0x03,0x00 ; 0xDF
.db 0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0x66,0x66,0x66,0xCC,0xCC,0xCC,0x66,0x87,0x00,0x00,0x00,0x03,0x00,0xF6,0xB1,0x66,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCF,0x00 ; 0xFF

.db 0x00,0x99,0x7E,0xC7,0x83,0x81,0x81,0x00,0x00,0x00,0x00,0xCC,0xE7,0x00,0x76,0xE7,0x0E,0xE0,0xE7,0x00,0xB1,0xC3,0xEF,0xE7,0x81,0xE7,0x81,0x03,0xEF,0x42,0xC7,0x83 ; 0x1F
.db 0x00,0x00,0x00,0xEF,0xC0,0x06,0xCC,0x00,0x03,0x81,0x66,0x81,0x00,0x00,0x00,0x06,0x6E,0x03,0x06,0xC0,0xC0,0xC0,0xCC,0x03,0xCC,0x81,0x83,0x83,0x03,0x00,0x81,0x00 ; 0x3F
.db 0x0C,0xCC,0x66,0x6C,0x66,0x06,0x06,0x6C,0xCC,0x03,0xCC,0xC6,0x66,0x6C,0xEC,0x6C,0x06,0xED,0x66,0xCC,0x03,0xCC,0xCC,0xC6,0xCC,0x03,0x26,0x03,0xC0,0xC0,0x00,0x00 ; 0x5F
.db 0x00,0xCC,0x66,0x0C,0xCC,0x0C,0x06,0xCC,0x66,0x81,0xC0,0xC6,0x81,0x6D,0xCC,0xCC,0x66,0xCC,0x06,0x81,0x06,0xCC,0xCC,0x6D,0x83,0x66,0x06,0x03,0x81,0x03,0x00,0x6C ; 0x7F
.db 0xCC,0xCC,0x0C,0xCC,0xCC,0xCC,0xCC,0x0C,0x0C,0x0C,0x0C,0x81,0x81,0x81,0xCF,0xCF,0x0C,0x8D,0x8D,0xCC,0xCC,0xCC,0xCC,0xCC,0x66,0xCC,0xCC,0xCE,0x06,0x6E,0x83,0x81 ; 0x9F
.db 0xCC,0x81,0xCC,0xCC,0xCC,0xEC,0x00,0x00,0x0C,0xAA,0xC0,0x3C,0xBD,0x87,0xCC,0x33,0x29,0xAA,0xBD,0x81,0x81,0xCF,0xCF,0xCF,0xAB,0x6E,0x66,0x6E,0xEF,0xCC,0xCF,0x81 ; 0xBF
.db 0x00,0x00,0x81,0x81,0x00,0x81,0xCC,0xCF,0xF7,0x76,0xFF,0x7E,0x76,0xFF,0x7E,0xC6,0x6C,0x66,0x0C,0x0C,0x0C,0x00,0x03,0x03,0x03,0x00,0x81,0xFF,0xFF,0x81,0x03,0x00 ; 0xDF
.db 0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0x66,0xC7,0xC7,0xCC,0xCC,0xCC,0x66,0x03,0x00,0x00,0x00,0x00,0x00,0xBD,0xB1,0xC3,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCF,0x00 ; 0xFF

.db 0x00,0x3C,0xFF,0x83,0x01,0x81,0x81,0x00,0x00,0x00,0x00,0xCC,0x81,0x00,0x7E,0xBD,0x0C,0x60,0xC3,0x66,0xB1,0xC0,0xEF,0xC3,0x81,0xC3,0x00,0x00,0x00,0x00,0xEF,0x01 ; 0x1F
.db 0x00,0x03,0x00,0xC6,0x8F,0xCC,0xCD,0x00,0x81,0x03,0x00,0x00,0x83,0x00,0x83,0x0C,0x6C,0x03,0xCC,0xCC,0xC0,0xCC,0xCC,0x03,0xCC,0x03,0x83,0x83,0x81,0x00,0x03,0x03 ; 0x3F
.db 0x0C,0xCC,0x66,0x66,0xC6,0x26,0x06,0x66,0xCC,0x03,0xCC,0x66,0x66,0x6C,0x6C,0xC6,0x06,0xC7,0x66,0xCC,0x03,0xCC,0x87,0xC6,0xCC,0x03,0x6C,0x03,0x60,0xC0,0x00,0x00 ; 0x5F
.db 0x00,0xCC,0x66,0xCC,0xCC,0xCC,0x06,0xC7,0x66,0x81,0xC0,0x66,0x81,0x6D,0xCC,0xCC,0x66,0xCC,0x06,0xCC,0xC6,0xCC,0x87,0xC6,0xC6,0xC3,0x4C,0x03,0x81,0x03,0x00,0xEF ; 0x7F
.db 0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0x0C,0x0C,0x0C,0x81,0x81,0x81,0xCC,0xCC,0x4C,0x8D,0x8D,0xCC,0xCC,0xCC,0xCC,0xCC,0xC3,0xCC,0xCC,0xCC,0x0C,0xC6,0xC6,0x8D ; 0x9F
.db 0xCC,0x81,0xCC,0xCC,0xCC,0x6C,0x00,0x00,0xCC,0x44,0xC0,0x68,0x3B,0x87,0x66,0x66,0x94,0x55,0x6B,0x81,0x81,0xCC,0xCC,0xCC,0x44,0x66,0x66,0x66,0x00,0x87,0x03,0x81 ; 0xBF
.db 0x00,0x00,0x81,0x81,0x00,0x81,0xCC,0xCC,0x00,0x66,0x00,0x66,0x66,0x00,0x66,0xC7,0x6C,0xC6,0x4C,0x4C,0x4C,0x00,0x03,0x03,0x03,0x00,0x81,0xFF,0xFF,0x81,0x03,0x00 ; 0xDF
.db 0xCC,0x8F,0xCC,0xCC,0xCC,0xCC,0x66,0x06,0x06,0xCC,0xCC,0xCC,0xC3,0x03,0x00,0x00,0x00,0xCF,0x8F,0x3B,0xB1,0xC0,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCF,0x00 ; 0xFF

.db 0x00,0xE7,0xE7,0x01,0x00,0xE7,0xE7,0x00,0x00,0x00,0x00,0x87,0x81,0x00,0x6E,0x81,0x08,0x20,0x81,0x66,0xB1,0x6C,0xEF,0x81,0x81,0x81,0x00,0x00,0x00,0x00,0xEF,0x01 ; 0x1F
.db 0x00,0x03,0x00,0xC6,0x03,0xC8,0x67,0x00,0xC0,0x06,0x00,0x00,0x83,0x00,0x83,0x08,0xC7,0xCF,0xCF,0x87,0xE1,0x87,0x87,0x03,0x87,0x07,0x00,0x81,0xC0,0x00,0x06,0x03 ; 0x3F
.db 0xC7,0xCC,0xCF,0xC3,0x8F,0xEF,0x0F,0xE3,0xCC,0x87,0x87,0x6E,0xEF,0x6C,0x6C,0x83,0x0F,0xC0,0x6E,0x87,0x87,0x87,0x03,0xC6,0xCC,0x87,0xEF,0xC3,0x20,0xC3,0x00,0x00 ; 0x5F
.db 0x00,0x67,0xCD,0x87,0x67,0x87,0x0F,0xC0,0x6E,0xE7,0xCC,0x6E,0xE7,0x6C,0xCC,0x87,0xC7,0xC7,0x0F,0x87,0x83,0x67,0x03,0xC6,0x6C,0xC0,0xCF,0xC1,0x81,0x0E,0x00,0x00 ; 0x7F
.db 0x87,0x67,0x87,0x67,0x67,0x67,0x67,0x87,0xC7,0xC7,0xC7,0xE7,0xE7,0xE7,0xCC,0xCC,0xCF,0xFE,0xED,0x87,0x87,0x87,0x67,0x67,0xC0,0x87,0x87,0x87,0xEF,0x8B,0x6C,0x07 ; 0x9F
.db 0x67,0xE7,0x87,0x67,0xCC,0x6C,0x00,0x00,0x87,0x83,0x00,0xC0,0xF3,0x03,0x33,0xCC,0x42,0xAA,0xD6,0x81,0x81,0xCC,0xCC,0xCC,0x83,0x66,0x66,0x66,0x00,0x03,0x03,0x81 ; 0xBF
.db 0x00,0x00,0x81,0x81,0x00,0x81,0x67,0xCC,0x00,0x66,0x00,0x66,0x66,0x00,0x66,0x6C,0xC7,0x8F,0xCF,0xCF,0xCF,0x00,0x87,0x87,0x87,0x00,0x81,0xFF,0xFF,0x81,0x87,0x00 ; 0xDF
.db 0x87,0x0C,0x87,0x87,0x87,0x87,0xB7,0x0F,0x0F,0x87,0x87,0x87,0xC0,0x87,0x00,0x00,0x00,0x00,0x00,0xF3,0xB1,0x6C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0xFF

.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0xE7,0x00,0xE7,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x1F
.db 0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00 ; 0x3F
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF ; 0x5F
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCC,0x00,0x00,0xCC,0x00,0x00,0x00,0x00,0x00,0x06,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x81,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x7F
.db 0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x81,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x9F
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF1,0x30,0x00,0x00,0x00,0x29,0x55,0xBD,0x81,0x81,0x00,0x00,0x00,0x00,0x66,0x66,0x66,0x00,0x03,0x00,0x81 ; 0xBF
.db 0x00,0x00,0x81,0x81,0x00,0x81,0x00,0x00,0x00,0x66,0x00,0x66,0x66,0x00,0x66,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x81,0xFF,0xFF,0x00,0x00,0x00 ; 0xDF
.db 0x00,0x06,0x00,0x00,0x00,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x81,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x00,0xE7,0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0xFF

.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x1F
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x3F
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x5F
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x87,0x00,0x00,0x87,0x00,0x00,0x00,0x00,0x00,0x0F,0xE1,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x7F
.db 0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0x9F
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x94,0xAA,0x6B,0x81,0x81,0x00,0x00,0x00,0x00,0x66,0x66,0x66,0x00,0x00,0x00,0x81 ; 0xBF
.db 0x00,0x00,0x81,0x81,0x00,0x81,0x00,0x00,0x00,0x66,0x00,0x66,0x66,0x00,0x66,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x81,0xFF,0xFF,0x00,0x00,0x00 ; 0xDF
.db 0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00 ; 0xFF
.endif

.if (CSize==16)
font:
; MS Sans Serif 8; H=16, B=12
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F
.db 0x10, 0x0E, 0x10, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x0E
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x87, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x00, 0x40, 0x08, 0x20, 0x04, 0x10, 0x00, 0x30, 0x00, 0x20, 0x00, 0x40, 0x00
.db 0x20, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08
.db 0x30, 0x08, 0x10, 0x00, 0x30, 0x08, 0x30, 0x08, 0x00, 0x08, 0x70, 0x0C, 0x30, 0x08, 0x70, 0x0C
.db 0x30, 0x08, 0x30, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08
.db 0x00, 0x0F, 0x10, 0x00, 0x70, 0x08, 0x30, 0x0C, 0x70, 0x08, 0x70, 0x0C, 0x70, 0x0C, 0x30, 0x0C
.db 0x40, 0x02, 0x40, 0x00, 0x10, 0x00, 0x40, 0x04, 0x40, 0x00, 0x40, 0x01, 0x40, 0x02, 0x30, 0x0C
.db 0x70, 0x0C, 0x30, 0x0C, 0x70, 0x0C, 0x30, 0x08, 0x70, 0x0C, 0x40, 0x02, 0x80, 0x02, 0x80, 0x20
.db 0x80, 0x02, 0x80, 0x02, 0xF0, 0x0E, 0x60, 0x00, 0x40, 0x00, 0x60, 0x00, 0x20, 0x08, 0x00, 0x00
.db 0x40, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00
.db 0x40, 0x00, 0x40, 0x00, 0x40, 0x00, 0x40, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F
.db 0x30, 0x03, 0x30, 0x03, 0x60, 0x81, 0x30, 0x03, 0x00, 0x00, 0x60, 0x81, 0x30, 0x0F, 0x30, 0x0F
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x10, 0xCF, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x00, 0x40, 0x08, 0x20, 0x04, 0x30, 0x08, 0x40, 0x09, 0x50, 0x00, 0x40, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x50, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08
.db 0x40, 0x04, 0x70, 0x00, 0x40, 0x04, 0x40, 0x04, 0x10, 0x08, 0x40, 0x00, 0x40, 0x04, 0x00, 0x04
.db 0x40, 0x04, 0x40, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x04
.db 0x30, 0xC0, 0x10, 0x00, 0x40, 0x04, 0x40, 0x02, 0x40, 0x04, 0x40, 0x00, 0x40, 0x00, 0x40, 0x02
.db 0x40, 0x02, 0x40, 0x00, 0x10, 0x00, 0x40, 0x08, 0x40, 0x00, 0x40, 0x01, 0x60, 0x02, 0x40, 0x02
.db 0x40, 0x02, 0x40, 0x02, 0x40, 0x02, 0x40, 0x04, 0x10, 0x00, 0x40, 0x02, 0x80, 0x02, 0x80, 0x20
.db 0x80, 0x02, 0x80, 0x02, 0x00, 0x02, 0x40, 0x00, 0x40, 0x00, 0x20, 0x00, 0x40, 0x04, 0x00, 0x00
.db 0x20, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00
.db 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x40, 0x00, 0x20, 0x00, 0x30, 0x02, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x30, 0x03, 0x60, 0x81, 0x60, 0x81, 0x30, 0x81, 0x70, 0x8F
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x10, 0xCF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x00, 0x40, 0x08, 0x70, 0x0E, 0x50, 0x04, 0x30, 0x02, 0x50, 0x00, 0x40, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08
.db 0x40, 0x04, 0x10, 0x00, 0x00, 0x04, 0x00, 0x04, 0x10, 0x08, 0x40, 0x00, 0x40, 0x00, 0x00, 0x08
.db 0x40, 0x04, 0x40, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x40, 0x00, 0x00, 0x04
.db 0x20, 0x40, 0x20, 0x08, 0x40, 0x04, 0x40, 0x00, 0x40, 0x02, 0x40, 0x00, 0x40, 0x00, 0x40, 0x00
.db 0x40, 0x02, 0x40, 0x00, 0x10, 0x00, 0x50, 0x00, 0x40, 0x00, 0x60, 0x03, 0x60, 0x02, 0x40, 0x02
.db 0x40, 0x02, 0x40, 0x02, 0x40, 0x02, 0x40, 0x00, 0x10, 0x00, 0x40, 0x02, 0x40, 0x04, 0x40, 0x44
.db 0x40, 0x04, 0x40, 0x04, 0x00, 0x04, 0x40, 0x00, 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00
.db 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x40, 0x00, 0x20, 0x00, 0x40, 0x0C, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x60, 0x81, 0x00, 0x00, 0x30, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x80, 0x10, 0x00, 0x00, 0xEF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x20, 0x04, 0x50, 0x00, 0x00, 0x04, 0x20, 0x00, 0x00, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x50, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00
.db 0x40, 0x04, 0x10, 0x00, 0x00, 0x04, 0x00, 0x04, 0x20, 0x08, 0x70, 0x08, 0x40, 0x00, 0x00, 0x08
.db 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x20, 0x00, 0x10, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x04
.db 0x40, 0x27, 0x20, 0x08, 0x40, 0x04, 0x40, 0x00, 0x40, 0x02, 0x40, 0x00, 0x40, 0x00, 0x40, 0x00
.db 0x40, 0x02, 0x40, 0x00, 0x10, 0x00, 0x60, 0x00, 0x40, 0x00, 0x60, 0x03, 0x50, 0x02, 0x40, 0x02
.db 0x40, 0x02, 0x40, 0x02, 0x40, 0x02, 0x40, 0x00, 0x10, 0x00, 0x40, 0x02, 0x40, 0x04, 0x40, 0x44
.db 0x20, 0x08, 0x20, 0x08, 0x00, 0x08, 0x40, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x30, 0x08, 0x70, 0x08, 0x30, 0x08, 0x30, 0x0C, 0x30, 0x08, 0x60, 0x00, 0x30, 0x0C
.db 0x50, 0x08, 0x40, 0x00, 0x40, 0x00, 0x40, 0x08, 0x40, 0x00, 0x70, 0x06, 0x50, 0x08, 0x30, 0x08
.db 0x70, 0x08, 0x30, 0x0C, 0x60, 0x00, 0x30, 0x00, 0x60, 0x00, 0x40, 0x04, 0x40, 0x04, 0x40, 0x09
.db 0x40, 0x08, 0x40, 0x08, 0x70, 0x08, 0x20, 0x00, 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0xC0, 0x30, 0x00, 0x00, 0xF7, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x20, 0x04, 0x30, 0x00, 0x00, 0x08, 0x20, 0x00, 0x00, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00
.db 0x40, 0x04, 0x10, 0x00, 0x00, 0x08, 0x10, 0x08, 0x20, 0x08, 0x40, 0x04, 0x70, 0x08, 0x10, 0x00
.db 0x30, 0x08, 0x30, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x70, 0x0C, 0x10, 0x00, 0x00, 0x08
.db 0x40, 0x29, 0x40, 0x04, 0x70, 0x08, 0x40, 0x00, 0x40, 0x02, 0x70, 0x08, 0x70, 0x08, 0x40, 0x0E
.db 0x70, 0x0E, 0x40, 0x00, 0x10, 0x00, 0x60, 0x00, 0x40, 0x00, 0x50, 0x05, 0x50, 0x02, 0x40, 0x02
.db 0x70, 0x0C, 0x40, 0x02, 0x70, 0x0C, 0x30, 0x08, 0x10, 0x00, 0x40, 0x02, 0x40, 0x04, 0x40, 0x44
.db 0x10, 0x00, 0x10, 0x00, 0x10, 0x00, 0x40, 0x00, 0x20, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x04, 0x40, 0x04, 0x40, 0x04, 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x40, 0x04
.db 0x60, 0x04, 0x40, 0x00, 0x40, 0x00, 0x50, 0x00, 0x40, 0x00, 0x40, 0x09, 0x60, 0x04, 0x40, 0x04
.db 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x40, 0x08, 0x40, 0x00, 0x40, 0x04, 0x40, 0x04, 0x40, 0x09
.db 0x40, 0x08, 0x40, 0x08, 0x00, 0x08, 0x40, 0x00, 0x40, 0x00, 0x10, 0x00, 0x00, 0x00, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x10, 0x0F, 0x10, 0x0E, 0x60, 0x81, 0x30, 0x03, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0xE0, 0x70, 0x00, 0x00, 0x06, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x20, 0x04, 0x10, 0x08, 0x10, 0x00, 0x50, 0x04, 0x00, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x70, 0x0C, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x20, 0x00
.db 0x40, 0x04, 0x10, 0x00, 0x10, 0x00, 0x00, 0x04, 0x40, 0x08, 0x00, 0x04, 0x40, 0x04, 0x10, 0x00
.db 0x40, 0x04, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x08, 0x10, 0x00
.db 0x40, 0x29, 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x40, 0x02, 0x40, 0x00, 0x40, 0x00, 0x40, 0x02
.db 0x40, 0x02, 0x40, 0x00, 0x10, 0x00, 0x50, 0x00, 0x40, 0x00, 0x50, 0x05, 0x40, 0x0A, 0x40, 0x02
.db 0x40, 0x00, 0x40, 0x02, 0x40, 0x02, 0x00, 0x04, 0x10, 0x00, 0x40, 0x02, 0x20, 0x08, 0x20, 0x8A
.db 0x20, 0x08, 0x10, 0x00, 0x20, 0x00, 0x40, 0x00, 0x10, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x30, 0x0C, 0x40, 0x04, 0x40, 0x00, 0x40, 0x04, 0x70, 0x0C, 0x40, 0x00, 0x40, 0x04
.db 0x40, 0x04, 0x40, 0x00, 0x40, 0x00, 0x60, 0x00, 0x40, 0x00, 0x40, 0x09, 0x40, 0x04, 0x40, 0x04
.db 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x20, 0x00, 0x40, 0x00, 0x40, 0x04, 0x20, 0x08, 0x50, 0x05
.db 0x30, 0x00, 0x40, 0x08, 0x10, 0x00, 0x20, 0x00, 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x20, 0x81, 0x30, 0x03, 0x60, 0x81, 0x70, 0x0E, 0x00, 0x0C
.db 0x00, 0x0C, 0xF0, 0xFF, 0xF0, 0xFF, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x10, 0x04, 0x20, 0x06, 0x40, 0x08, 0x00, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00
.db 0x40, 0x04, 0x10, 0x00, 0x20, 0x00, 0x00, 0x04, 0x70, 0x0C, 0x00, 0x04, 0x40, 0x04, 0x20, 0x00
.db 0x40, 0x04, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x70, 0x0C, 0x10, 0x00, 0x10, 0x00
.db 0x40, 0xE6, 0x70, 0x0C, 0x40, 0x04, 0x40, 0x00, 0x40, 0x02, 0x40, 0x00, 0x40, 0x00, 0x40, 0x02
.db 0x40, 0x02, 0x40, 0x00, 0x90, 0x00, 0x40, 0x08, 0x40, 0x00, 0x40, 0x09, 0x40, 0x06, 0x40, 0x02
.db 0x40, 0x00, 0x40, 0x0A, 0x40, 0x02, 0x00, 0x04, 0x10, 0x00, 0x40, 0x02, 0x20, 0x08, 0x20, 0x8A
.db 0x40, 0x04, 0x10, 0x00, 0x40, 0x00, 0x40, 0x00, 0x10, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x40, 0x04, 0x40, 0x00, 0x40, 0x00, 0x40, 0x04
.db 0x40, 0x04, 0x40, 0x00, 0x40, 0x00, 0x50, 0x00, 0x40, 0x00, 0x40, 0x09, 0x40, 0x04, 0x40, 0x04
.db 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x10, 0x00, 0x40, 0x00, 0x40, 0x04, 0x20, 0x08, 0x50, 0x05
.db 0x30, 0x00, 0x40, 0x08, 0x20, 0x00, 0x20, 0x00, 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x03, 0x00, 0x0C
.db 0x00, 0x0C, 0xF0, 0xFF, 0xF0, 0xFF, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x04, 0x50, 0x04, 0x40, 0x09, 0x40, 0x08, 0x00, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00
.db 0x40, 0x04, 0x10, 0x00, 0x40, 0x00, 0x40, 0x04, 0x00, 0x08, 0x40, 0x04, 0x40, 0x04, 0x20, 0x00
.db 0x40, 0x04, 0x40, 0x04, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00
.db 0x20, 0x00, 0x80, 0x02, 0x40, 0x04, 0x40, 0x02, 0x40, 0x04, 0x40, 0x00, 0x40, 0x00, 0x40, 0x06
.db 0x40, 0x02, 0x40, 0x00, 0x90, 0x00, 0x40, 0x04, 0x40, 0x00, 0x40, 0x09, 0x40, 0x06, 0x40, 0x02
.db 0x40, 0x00, 0x40, 0x06, 0x40, 0x02, 0x40, 0x04, 0x10, 0x00, 0x40, 0x02, 0x10, 0x00, 0x10, 0x01
.db 0x80, 0x02, 0x10, 0x00, 0x80, 0x00, 0x40, 0x00, 0x00, 0x08, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x04, 0x40, 0x04, 0x40, 0x04, 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x40, 0x04
.db 0x40, 0x04, 0x40, 0x00, 0x40, 0x00, 0x40, 0x08, 0x40, 0x00, 0x40, 0x09, 0x40, 0x04, 0x40, 0x04
.db 0x40, 0x04, 0x40, 0x04, 0x40, 0x00, 0x40, 0x08, 0x40, 0x00, 0x40, 0x0C, 0x10, 0x00, 0x20, 0x02
.db 0x40, 0x08, 0x30, 0x00, 0x40, 0x00, 0x20, 0x00, 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x60, 0x81, 0x60, 0x81, 0x30, 0x8F, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0xE0, 0x70, 0x00, 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x20, 0x04, 0x30, 0x08, 0x00, 0x06, 0x30, 0x04, 0x00, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x40, 0x00, 0x40, 0x00
.db 0x30, 0x08, 0x10, 0x00, 0x70, 0x0C, 0x30, 0x08, 0x00, 0x08, 0x30, 0x08, 0x30, 0x08, 0x20, 0x00
.db 0x30, 0x08, 0x30, 0x08, 0x40, 0x00, 0x20, 0x00, 0x00, 0x08, 0x00, 0x00, 0x40, 0x00, 0x10, 0x00
.db 0x30, 0x00, 0x80, 0x02, 0x70, 0x08, 0x30, 0x0C, 0x70, 0x08, 0x70, 0x0C, 0x40, 0x00, 0x30, 0x0A
.db 0x40, 0x02, 0x40, 0x00, 0x60, 0x00, 0x40, 0x02, 0x70, 0x0C, 0x40, 0x01, 0x40, 0x02, 0x30, 0x0C
.db 0x40, 0x00, 0x30, 0x0C, 0x40, 0x02, 0x30, 0x08, 0x10, 0x00, 0x30, 0x0C, 0x10, 0x00, 0x10, 0x01
.db 0x80, 0x02, 0x10, 0x00, 0xF0, 0x0E, 0x40, 0x00, 0x00, 0x08, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x30, 0x0C, 0x70, 0x08, 0x30, 0x08, 0x30, 0x0C, 0x30, 0x08, 0x40, 0x00, 0x30, 0x0C
.db 0x40, 0x04, 0x40, 0x00, 0x40, 0x00, 0x40, 0x04, 0x40, 0x00, 0x40, 0x09, 0x40, 0x04, 0x30, 0x08
.db 0x70, 0x08, 0x30, 0x0C, 0x40, 0x00, 0x30, 0x00, 0x20, 0x00, 0x30, 0x04, 0x10, 0x00, 0x20, 0x02
.db 0x40, 0x08, 0x20, 0x00, 0x70, 0x08, 0x20, 0x00, 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0xC0, 0x30, 0x00, 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x40, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04
.db 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x40, 0x00, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x10, 0x00, 0x40, 0x00, 0x40, 0x00, 0x00, 0x00, 0x60, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x80, 0x10, 0x00, 0x30, 0x00, 0x00, 0xF7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x20, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0xF0, 0x0C
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x08
.db 0x00, 0x00, 0x00, 0x00, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x40, 0x00, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x70, 0x0F, 0x00, 0x0C
.db 0x70, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, 0xEF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x30, 0x03, 0x30, 0x03, 0x60, 0x83, 0x30, 0x03, 0x60, 0x83, 0x60, 0x00, 0x00, 0x0C
.db 0x30, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0xE7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x10, 0x0E, 0x10, 0x0E, 0x30, 0x8D, 0x10, 0x0E, 0x30, 0x8D, 0x60, 0x00, 0x00, 0x0C
.db 0x10, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.endif

.if (CSize==18)
font:
; Terminal 14; H=18, B=12
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x06, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F
.db 0x10, 0x0E, 0x10, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x0E
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x87, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x0C, 0x30, 0x03, 0x00, 0x00, 0x00, 0x0C, 0x20, 0x81, 0x30, 0x0C, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81
.db 0x10, 0x0E, 0x00, 0x0C, 0x10, 0x0E, 0x10, 0x0E, 0x00, 0x0C, 0x70, 0x8F, 0x00, 0x87, 0x70, 0x8F
.db 0x10, 0x0E, 0x10, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x0F
.db 0x10, 0x0F, 0x10, 0x0E, 0x70, 0x0E, 0x10, 0x0E, 0x70, 0x0E, 0x70, 0x8F, 0x70, 0x8F, 0x10, 0x0E
.db 0x60, 0x81, 0x70, 0x8F, 0x00, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x81, 0x10, 0x0E
.db 0x70, 0x0E, 0x10, 0x0E, 0x70, 0x0E, 0x10, 0x0E, 0x70, 0x8F, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x70, 0x8F, 0x10, 0x0E, 0x60, 0x00, 0x10, 0x0E, 0x00, 0x0C, 0x00, 0x00
.db 0x00, 0x0C, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00, 0x00, 0x00, 0x0F, 0x00, 0x00
.db 0x60, 0x00, 0x00, 0x0C, 0x00, 0x06, 0x60, 0x00, 0x30, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x00, 0x0C, 0x30, 0x08, 0x10, 0x89, 0x00, 0x0C
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F
.db 0x30, 0x03, 0x30, 0x03, 0x60, 0x81, 0x30, 0x03, 0x00, 0x00, 0x60, 0x81, 0x30, 0x0F, 0x30, 0x0F
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x10, 0xCF, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0E, 0x30, 0x03, 0x30, 0x03, 0x00, 0x0C, 0x70, 0x01, 0x60, 0x06, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81
.db 0x30, 0x03, 0x10, 0x0C, 0x30, 0x03, 0x30, 0x03, 0x00, 0x0C, 0x60, 0x00, 0x00, 0x0C, 0x00, 0x81
.db 0x30, 0x03, 0x30, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x83
.db 0x30, 0x81, 0x30, 0x03, 0x60, 0x03, 0x30, 0x03, 0x60, 0x03, 0x60, 0x00, 0x60, 0x00, 0x30, 0x03
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x81, 0x30, 0x03
.db 0x60, 0x03, 0x30, 0x03, 0x60, 0x03, 0x30, 0x03, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x81, 0x10, 0x08, 0x60, 0x00, 0x00, 0x06, 0x10, 0x0F, 0x00, 0x00
.db 0x00, 0x0C, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00, 0x00, 0x10, 0x89, 0x00, 0x00
.db 0x60, 0x00, 0x00, 0x0C, 0x00, 0x06, 0x60, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x60, 0x06, 0x00, 0x0C
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x30, 0x03, 0x60, 0x81, 0x60, 0x81, 0x30, 0x81, 0x70, 0x8F
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x10, 0xCF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0E, 0x30, 0x03, 0x30, 0x03, 0x30, 0x0F, 0x50, 0x03, 0x40, 0x02, 0x00, 0x04
.db 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03
.db 0x60, 0x81, 0x70, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x10, 0x08, 0x60, 0x00, 0x10, 0x08, 0x00, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x60, 0x00, 0x60, 0x81
.db 0x60, 0xC0, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x03, 0x60, 0x00, 0x60, 0x00, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x81, 0x60, 0x03, 0x60, 0x00, 0x60, 0x81, 0x70, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x81, 0x10, 0x08, 0x30, 0x00, 0x00, 0x06, 0x70, 0x83, 0x00, 0x00
.db 0x00, 0x08, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x10, 0x0E
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x60, 0x81, 0x00, 0x00, 0x30, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x80, 0x10, 0x00, 0x00, 0xEF, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0E, 0x00, 0x00, 0x30, 0x03, 0x60, 0x8D, 0x50, 0x02, 0x40, 0x02, 0x00, 0x08
.db 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03
.db 0x60, 0x83, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x10, 0x08, 0x60, 0x00, 0x30, 0x00, 0x00, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x30, 0x00, 0x00, 0x81
.db 0x60, 0xC0, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x00, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x81, 0x60, 0x07, 0x60, 0x00, 0x70, 0x83, 0x70, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x03, 0x10, 0x08, 0x30, 0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x04, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x30, 0x03
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0xC0, 0x30, 0x00, 0x00, 0xF7, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0E, 0x00, 0x00, 0x30, 0x03, 0x60, 0x8D, 0x70, 0x06, 0x60, 0x06, 0x00, 0x00
.db 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06
.db 0x60, 0x83, 0x00, 0x0C, 0x00, 0x81, 0x00, 0x81, 0x10, 0x08, 0x60, 0x00, 0x30, 0x00, 0x00, 0x03
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x00, 0x83
.db 0x60, 0xC7, 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x00, 0x60, 0x00, 0x60, 0x00
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x81, 0x60, 0x06, 0x60, 0x00, 0x70, 0x83, 0x70, 0x89, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81
.db 0x30, 0x03, 0x60, 0x81, 0x00, 0x03, 0x10, 0x08, 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x30, 0x03
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x10, 0x0F, 0x10, 0x0E, 0x60, 0x81, 0x30, 0x03, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0xE0, 0x70, 0x00, 0x00, 0x06, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0E, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x0C, 0x20, 0x04, 0x30, 0x0C, 0x00, 0x00
.db 0x10, 0x08, 0x00, 0x06, 0x30, 0x03, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06
.db 0x60, 0x85, 0x00, 0x0C, 0x00, 0x81, 0x00, 0x81, 0x30, 0x00, 0x70, 0x0E, 0x60, 0x00, 0x00, 0x03
.db 0x30, 0x03, 0x60, 0x81, 0x00, 0x0C, 0x00, 0x0C, 0x10, 0x08, 0x70, 0x8F, 0x00, 0x0C, 0x00, 0x03
.db 0x60, 0xCC, 0x60, 0x81, 0x60, 0x03, 0x60, 0x00, 0x60, 0x81, 0x60, 0x00, 0x60, 0x00, 0x60, 0x00
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x81, 0x60, 0x0C, 0x60, 0x00, 0x70, 0x83, 0x60, 0x89, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x70, 0x08, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81
.db 0x30, 0x03, 0x60, 0x81, 0x00, 0x06, 0x10, 0x08, 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0F, 0x60, 0x0E, 0x10, 0x0F, 0x10, 0x8D, 0x10, 0x0E, 0x70, 0x0F, 0x10, 0x8D
.db 0x60, 0x0E, 0x30, 0x0C, 0x10, 0x0E, 0x60, 0x81, 0x00, 0x0C, 0x70, 0x03, 0x60, 0x0E, 0x10, 0x0E
.db 0x60, 0x0E, 0x10, 0x8D, 0x60, 0x07, 0x30, 0x0F, 0x30, 0x0F, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x70, 0x8F, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x60, 0x81
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x20, 0x81, 0x30, 0x03, 0x60, 0x81, 0x70, 0x0E, 0x00, 0x0C
.db 0x00, 0x0C, 0xF0, 0xFF, 0xF0, 0xFF, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x30, 0x03, 0x10, 0x0C, 0x00, 0x0C, 0x10, 0x08, 0x00, 0x00
.db 0x10, 0x08, 0x00, 0x06, 0x10, 0x0E, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C
.db 0x60, 0x85, 0x00, 0x0C, 0x00, 0x03, 0x10, 0x0F, 0x30, 0x00, 0x00, 0x03, 0x70, 0x0E, 0x00, 0x03
.db 0x10, 0x0E, 0x30, 0x81, 0x00, 0x0C, 0x00, 0x0C, 0x30, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0x06
.db 0x60, 0xCC, 0x60, 0x81, 0x70, 0x0E, 0x60, 0x00, 0x60, 0x81, 0x70, 0x0F, 0x60, 0x00, 0x60, 0x00
.db 0x70, 0x8F, 0x00, 0x0C, 0x00, 0x81, 0x70, 0x08, 0x60, 0x00, 0x70, 0x8F, 0x60, 0x8D, 0x60, 0x81
.db 0x60, 0x03, 0x60, 0x81, 0x60, 0x03, 0x30, 0x0C, 0x00, 0x0C, 0x60, 0x81, 0x30, 0x03, 0x60, 0x8D
.db 0x10, 0x0E, 0x30, 0x03, 0x00, 0x0C, 0x10, 0x08, 0x00, 0x0C, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x20, 0x81, 0x70, 0x03, 0x30, 0x81, 0x30, 0x83, 0x30, 0x03, 0x10, 0x08, 0x30, 0x83
.db 0x70, 0x03, 0x00, 0x0C, 0x00, 0x06, 0x60, 0x03, 0x00, 0x0C, 0x70, 0x8F, 0x70, 0x03, 0x30, 0x03
.db 0x70, 0x03, 0x20, 0x83, 0x70, 0x8F, 0x60, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x8D
.db 0x60, 0x81, 0x60, 0x81, 0x00, 0x81, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x60, 0x81
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x03, 0x00, 0x0C
.db 0x00, 0x0C, 0xF0, 0xFF, 0xF0, 0xFF, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x30, 0x03, 0x00, 0x0E, 0x00, 0x08, 0x30, 0x8C, 0x00, 0x00
.db 0x10, 0x08, 0x00, 0x06, 0x70, 0x8F, 0x70, 0x8F, 0x00, 0x00, 0x70, 0x8F, 0x00, 0x00, 0x00, 0x0C
.db 0x60, 0x89, 0x00, 0x0C, 0x00, 0x06, 0x00, 0x81, 0x30, 0x06, 0x00, 0x81, 0x60, 0x03, 0x00, 0x06
.db 0x30, 0x03, 0x10, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00, 0x06
.db 0x60, 0xCC, 0x60, 0x81, 0x60, 0x03, 0x60, 0x00, 0x60, 0x81, 0x60, 0x00, 0x70, 0x0F, 0x60, 0x87
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x81, 0x70, 0x08, 0x60, 0x00, 0x60, 0x8D, 0x60, 0x85, 0x60, 0x81
.db 0x70, 0x0E, 0x60, 0x81, 0x70, 0x0E, 0x00, 0x0F, 0x00, 0x0C, 0x60, 0x81, 0x30, 0x03, 0x60, 0x8D
.db 0x10, 0x0E, 0x30, 0x0F, 0x10, 0x08, 0x10, 0x08, 0x00, 0x0C, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x81, 0x10, 0x08, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x06, 0x60, 0x06, 0x00, 0x0C, 0x60, 0x8D, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x70, 0x00, 0x60, 0x00, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x8D
.db 0x30, 0x03, 0x60, 0x81, 0x00, 0x03, 0x10, 0x08, 0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x60, 0x81
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x60, 0x81, 0x60, 0x81, 0x30, 0x8F, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0xE0, 0x70, 0x00, 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x8F, 0x00, 0x8F, 0x10, 0x09, 0x60, 0x87, 0x00, 0x00
.db 0x10, 0x08, 0x00, 0x06, 0x10, 0x0E, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x60, 0x89, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x81, 0x60, 0x06, 0x00, 0x81, 0x60, 0x81, 0x00, 0x06
.db 0x60, 0x81, 0x00, 0x81, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x70, 0x8F, 0x00, 0x06, 0x00, 0x0C
.db 0x60, 0xCD, 0x70, 0x8F, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x00, 0x60, 0x00, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x81, 0x60, 0x0C, 0x60, 0x00, 0x60, 0x8D, 0x60, 0x87, 0x60, 0x81
.db 0x60, 0x00, 0x60, 0x81, 0x60, 0x06, 0x00, 0x87, 0x00, 0x0C, 0x60, 0x81, 0x30, 0x03, 0x60, 0x8D
.db 0x30, 0x03, 0x10, 0x0E, 0x10, 0x08, 0x10, 0x08, 0x00, 0x06, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x30, 0x8F, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x81, 0x10, 0x08, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x06, 0x60, 0x0C, 0x00, 0x0C, 0x60, 0x8D, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x30, 0x08, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x8D
.db 0x30, 0x0F, 0x60, 0x81, 0x00, 0x06, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x60, 0x81
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0xC0, 0x30, 0x00, 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x30, 0x03, 0x60, 0x8D, 0x10, 0x83, 0x40, 0x03, 0x00, 0x00
.db 0x10, 0x08, 0x00, 0x06, 0x30, 0x03, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x70, 0x81, 0x00, 0x0C, 0x10, 0x08, 0x00, 0x81, 0x60, 0x06, 0x00, 0x81, 0x60, 0x81, 0x00, 0x06
.db 0x60, 0x81, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x0C
.db 0x60, 0xC6, 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x00, 0x60, 0x00, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x81, 0x60, 0x06, 0x60, 0x00, 0x60, 0x8D, 0x60, 0x83, 0x60, 0x81
.db 0x60, 0x00, 0x60, 0x81, 0x60, 0x03, 0x00, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x10, 0x02, 0x30, 0x03
.db 0x30, 0x03, 0x00, 0x0C, 0x30, 0x00, 0x10, 0x08, 0x00, 0x06, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x70, 0x8F, 0x10, 0x08, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x06, 0x70, 0x08, 0x00, 0x0C, 0x60, 0x8D, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x81, 0x60, 0x8D
.db 0x00, 0x0C, 0x60, 0x81, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x60, 0x81
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x80, 0x10, 0x00, 0x30, 0x00, 0x00, 0xF7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x03, 0x60, 0x8D, 0x30, 0x82, 0x40, 0x02, 0x00, 0x00
.db 0x10, 0x08, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00
.db 0x70, 0x81, 0x00, 0x0C, 0x30, 0x00, 0x60, 0x81, 0x60, 0x06, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C
.db 0x60, 0x81, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x60, 0x00, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x00, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x07, 0x60, 0x00, 0x60, 0x81, 0x60, 0x83, 0x60, 0x81
.db 0x60, 0x00, 0x60, 0x81, 0x60, 0x03, 0x60, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x10, 0x0E, 0x30, 0x03
.db 0x60, 0x81, 0x00, 0x0C, 0x30, 0x00, 0x10, 0x08, 0x00, 0x03, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x00, 0x10, 0x08, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x06, 0x70, 0x0C, 0x00, 0x0C, 0x60, 0x8D, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x00, 0x07, 0x00, 0x0C, 0x60, 0x81, 0x30, 0x03, 0x60, 0x8D
.db 0x30, 0x0F, 0x30, 0x03, 0x10, 0x08, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x60, 0x81
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x70, 0x0F, 0x00, 0x0C
.db 0x70, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, 0xEF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x03, 0x30, 0x0F, 0x20, 0x82, 0x40, 0x03, 0x00, 0x00
.db 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00
.db 0x60, 0x81, 0x00, 0x0C, 0x60, 0x00, 0x60, 0x81, 0x70, 0x8F, 0x60, 0x81, 0x60, 0x81, 0x00, 0x0C
.db 0x60, 0x81, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x30, 0x00, 0x00, 0x00
.db 0x60, 0x00, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81, 0x60, 0x03, 0x60, 0x00, 0x60, 0x00, 0x60, 0x81
.db 0x60, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x60, 0x03, 0x60, 0x00, 0x60, 0x81, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x00, 0x60, 0x81, 0x60, 0x03, 0x60, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x10, 0x0E, 0x30, 0x03
.db 0x60, 0x81, 0x00, 0x0C, 0x60, 0x00, 0x10, 0x08, 0x00, 0x03, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x00, 0x10, 0x08, 0x30, 0x83
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x06, 0x60, 0x06, 0x00, 0x0C, 0x60, 0x8D, 0x60, 0x81, 0x60, 0x81
.db 0x60, 0x81, 0x60, 0x81, 0x60, 0x00, 0x00, 0x81, 0x00, 0x0C, 0x60, 0x81, 0x10, 0x02, 0x30, 0x03
.db 0x30, 0x03, 0x30, 0x03, 0x30, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x60, 0x81
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x30, 0x03, 0x30, 0x03, 0x60, 0x83, 0x30, 0x03, 0x60, 0x83, 0x60, 0x00, 0x00, 0x0C
.db 0x30, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0xE7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x30, 0x03, 0x00, 0x0C, 0x60, 0x83, 0x60, 0x87, 0x00, 0x00
.db 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x0C, 0x60, 0x00
.db 0x30, 0x03, 0x00, 0x0C, 0x60, 0x00, 0x30, 0x03, 0x00, 0x06, 0x30, 0x03, 0x30, 0x03, 0x00, 0x0C
.db 0x30, 0x03, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x03, 0x00, 0x00, 0x60, 0x00, 0x00, 0x0C
.db 0x30, 0xC0, 0x60, 0x81, 0x60, 0x03, 0x30, 0x03, 0x60, 0x03, 0x60, 0x00, 0x60, 0x00, 0x30, 0x03
.db 0x60, 0x81, 0x00, 0x0C, 0x30, 0x03, 0x60, 0x81, 0x60, 0x00, 0x60, 0x81, 0x60, 0x81, 0x30, 0x03
.db 0x60, 0x00, 0x30, 0x03, 0x60, 0x03, 0x30, 0x03, 0x00, 0x0C, 0x30, 0x03, 0x00, 0x0C, 0x30, 0x03
.db 0x60, 0x81, 0x00, 0x0C, 0x60, 0x00, 0x10, 0x08, 0x00, 0x81, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x60, 0x83, 0x70, 0x03, 0x30, 0x81, 0x30, 0x83, 0x30, 0x81, 0x10, 0x08, 0x10, 0x8D
.db 0x60, 0x81, 0x00, 0x0C, 0x00, 0x06, 0x60, 0x03, 0x00, 0x0C, 0x60, 0x8D, 0x60, 0x81, 0x30, 0x03
.db 0x70, 0x03, 0x20, 0x83, 0x60, 0x00, 0x60, 0x81, 0x00, 0x0C, 0x60, 0x83, 0x10, 0x0E, 0x30, 0x03
.db 0x60, 0x81, 0x10, 0x0E, 0x60, 0x00, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x8F
.db 0x00, 0x00, 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x60, 0x81, 0x10, 0x0E, 0x10, 0x0E, 0x30, 0x8D, 0x10, 0x0E, 0x30, 0x8D, 0x60, 0x00, 0x00, 0x0C
.db 0x10, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x40, 0x01, 0x30, 0x8C, 0x00, 0x00
.db 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x0C, 0x60, 0x00
.db 0x10, 0x0E, 0x70, 0x8F, 0x70, 0x8F, 0x10, 0x0E, 0x00, 0x06, 0x10, 0x0E, 0x10, 0x0E, 0x00, 0x0C
.db 0x10, 0x0E, 0x70, 0x08, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C
.db 0x10, 0x8F, 0x60, 0x81, 0x70, 0x0E, 0x10, 0x0E, 0x70, 0x0E, 0x70, 0x8F, 0x60, 0x00, 0x10, 0x0E
.db 0x60, 0x81, 0x70, 0x8F, 0x10, 0x0E, 0x60, 0x81, 0x70, 0x8F, 0x60, 0x81, 0x60, 0x81, 0x10, 0x0E
.db 0x60, 0x00, 0x10, 0x0E, 0x60, 0x81, 0x10, 0x0E, 0x00, 0x0C, 0x10, 0x0E, 0x00, 0x0C, 0x30, 0x03
.db 0x60, 0x81, 0x00, 0x0C, 0x70, 0x8F, 0x10, 0x0E, 0x00, 0x81, 0x10, 0x0E, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x30, 0x8D, 0x60, 0x0E, 0x10, 0x0F, 0x10, 0x8D, 0x10, 0x0F, 0x10, 0x08, 0x00, 0x81
.db 0x60, 0x81, 0x30, 0x0F, 0x00, 0x06, 0x60, 0x81, 0x30, 0x0F, 0x60, 0x81, 0x60, 0x81, 0x10, 0x0E
.db 0x60, 0x0E, 0x10, 0x8D, 0x60, 0x00, 0x30, 0x0F, 0x00, 0x07, 0x30, 0x8D, 0x00, 0x0C, 0x30, 0x03
.db 0x60, 0x81, 0x00, 0x0C, 0x70, 0x8F, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x0C, 0x00, 0x00, 0x70, 0x8F
.db 0x00, 0x00, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00, 0x00, 0x0C
.db 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x06, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x03
.db 0x00, 0x00, 0x00, 0x00, 0x30, 0x06, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x60, 0x00, 0x00, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x07, 0x00, 0x0C, 0x30, 0x08, 0x00, 0x00, 0x00, 0x00
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F, 0x70, 0x8F
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xCF
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x0E
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x60, 0x00, 0x00, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.endif

.if (CSize==24)
font:
.db 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0xC0, 0x03, 0xC0, 0x03, 0x60, 0x81, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0xF0, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0xC1, 0x07, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08
.db 0x00, 0x81, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xCF, 0x06, 0x00, 0xF3, 0x0C, 0x00, 0x00, 0x00, 0x00
.db 0x10, 0x0C, 0x00, 0x00, 0x83, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00
.db 0x83, 0x00, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0x00, 0xF1, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8F, 0x10, 0x08, 0xE3, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0xF1, 0x0E, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0C, 0xC1, 0x07, 0x10, 0xC8, 0x30, 0x8F, 0xC3, 0x30, 0x70, 0x0C, 0x30, 0x08
.db 0x00, 0x87, 0xC3, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0
.db 0x70, 0x0C, 0x00, 0x0C, 0xF0, 0x0C, 0xF0, 0x0C, 0x00, 0x07, 0xF0, 0xCF, 0x10, 0x8F, 0xF1, 0xCF
.db 0x30, 0x0E, 0x30, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF1, 0x0E
.db 0x30, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xCF, 0x03, 0x00, 0xF3, 0x0C, 0x00, 0x08, 0x00, 0x00
.db 0x00, 0x0E, 0x00, 0x00, 0x83, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x10, 0xFF, 0x00, 0x00
.db 0x83, 0x00, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0x00, 0xF1, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x8F, 0x10, 0x08, 0xF3, 0x00, 0x00, 0x00, 0x70, 0x0F
.db 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x03, 0xC0, 0x06
.db 0xC0, 0x06, 0xC3, 0x07, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0C, 0xC1, 0x07, 0x10, 0xC8, 0xF0, 0xCF, 0x66, 0x60, 0xF0, 0x0E, 0x30, 0x08
.db 0x00, 0x0F, 0xE1, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0
.db 0xF0, 0x0E, 0x70, 0x0C, 0xF3, 0x0E, 0xF1, 0x0F, 0x00, 0x0F, 0xF0, 0xCF, 0x70, 0xCF, 0xF1, 0xCF
.db 0xF0, 0x0F, 0xF0, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF3, 0x8F
.db 0x70, 0x8F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08, 0x03, 0x00, 0x10, 0x0C, 0x00, 0x08, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x83, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x30, 0x0C, 0x00, 0x00
.db 0x83, 0x00, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x0C, 0x10, 0x08, 0x70, 0x08, 0x00, 0x00, 0xF0, 0x8F
.db 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x03, 0xC0, 0x06
.db 0xC0, 0x06, 0x83, 0x07, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x30, 0x0C, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0xC1, 0x83, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0C, 0xC1, 0x07, 0x30, 0x81, 0xE0, 0x4C, 0x3C, 0xC0, 0xC1, 0x07, 0x30, 0x08
.db 0x10, 0x0C, 0x70, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81
.db 0xC1, 0x07, 0xF3, 0x0C, 0x03, 0x07, 0x01, 0x87, 0x10, 0x0F, 0xF0, 0xCF, 0xF0, 0x40, 0xF1, 0xCF
.db 0xE1, 0x87, 0xC1, 0x83, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xC3
.db 0xE0, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08, 0x81, 0x00, 0x10, 0x0C, 0x10, 0x0C, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x83, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x30, 0x08, 0x00, 0x00
.db 0x83, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08, 0x10, 0x08, 0x30, 0x08, 0x00, 0x00, 0xC1, 0xC1
.db 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08, 0x70, 0x0E, 0x83, 0xE0, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x83, 0x07, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0x70, 0x0E, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x81, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x10, 0x0C, 0xC1, 0x07, 0x30, 0x81, 0xC1, 0x0C, 0x3C, 0x81, 0xC1, 0x07, 0x30, 0x08
.db 0x30, 0x08, 0x30, 0x08, 0x91, 0x8D, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81
.db 0x83, 0x83, 0x13, 0x0C, 0x00, 0x83, 0x00, 0x83, 0x10, 0x0F, 0xC0, 0x00, 0xE0, 0x00, 0x00, 0x81
.db 0xC1, 0x83, 0xC1, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 0xC1
.db 0x81, 0xC0, 0x30, 0x08, 0xF3, 0x0E, 0x30, 0x8F, 0xF3, 0x0E, 0xF1, 0xCF, 0xF1, 0xEF, 0x30, 0x8F
.db 0x83, 0xC1, 0xF3, 0x8F, 0xF1, 0x0F, 0x83, 0xE1, 0xC1, 0x00, 0x07, 0xC1, 0x83, 0xC0, 0x70, 0x0E
.db 0xF1, 0x8F, 0x70, 0x0E, 0xF3, 0x0E, 0x70, 0x0F, 0xFF, 0xEF, 0x83, 0xE0, 0x0E, 0x70, 0x0C, 0x30
.db 0x87, 0x70, 0x0E, 0x70, 0xF3, 0xCF, 0x30, 0x08, 0x81, 0x00, 0x10, 0x0C, 0x10, 0x0C, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x83, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x30, 0x08, 0x00, 0x00
.db 0x83, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08, 0x10, 0x08, 0x30, 0x08, 0x00, 0x00, 0x83, 0xE0
.db 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x30, 0x0C, 0xF0, 0x0F, 0x83, 0xE0, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x83, 0x06, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0x04, 0x00, 0x00, 0x20, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x00, 0x00
.db 0xD0, 0x0B, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x81, 0x81, 0x00, 0x00, 0x00, 0x08, 0xF7, 0xEF
.db 0x00, 0x00, 0x10, 0x0C, 0x80, 0x02, 0x30, 0x81, 0xC1, 0x0C, 0x3C, 0x81, 0xC1, 0x07, 0x10, 0x00
.db 0x70, 0x00, 0x10, 0x0C, 0xE3, 0xC7, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03
.db 0x83, 0x83, 0x10, 0x0C, 0x00, 0x83, 0x00, 0x83, 0x30, 0x07, 0xC0, 0x00, 0xC1, 0x00, 0x00, 0x81
.db 0xC1, 0x83, 0x83, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1
.db 0x83, 0xC7, 0x30, 0x0C, 0xF3, 0x0F, 0xF0, 0xCF, 0xF3, 0x0F, 0xF1, 0xCF, 0xF1, 0xEF, 0xF0, 0xCF
.db 0x83, 0xC1, 0xF3, 0x8F, 0xF1, 0x0F, 0x83, 0xC3, 0xC1, 0x00, 0x87, 0xC3, 0x83, 0xC0, 0xF0, 0x0F
.db 0xF1, 0xCF, 0xF0, 0x0F, 0xF3, 0x0F, 0xF1, 0x8F, 0xFF, 0xEF, 0x83, 0xE0, 0x07, 0xE0, 0x0C, 0x30
.db 0xC3, 0xE0, 0x07, 0xE0, 0xF3, 0xCF, 0x30, 0x08, 0xC0, 0x00, 0x10, 0x0C, 0x30, 0x0C, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x83, 0x00, 0x00, 0x00, 0x00, 0xE0, 0x00, 0x00, 0x30, 0x08, 0x00, 0x00
.db 0x83, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08, 0x10, 0x08, 0x30, 0x08, 0x00, 0x00, 0x13, 0x6F
.db 0xFF, 0xFF, 0x70, 0x0E, 0x00, 0x00, 0x70, 0x0C, 0xC1, 0x83, 0x83, 0xE0, 0x70, 0x0E, 0x70, 0x0C
.db 0x83, 0xC1, 0x83, 0x0E, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0x07, 0x00, 0x00, 0xE0, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x10, 0x08
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x81, 0x81, 0x00, 0x00, 0x00, 0x08, 0xF3, 0xCF
.db 0x00, 0x00, 0x10, 0x0C, 0x80, 0x02, 0x30, 0x81, 0xC1, 0x0C, 0x3C, 0x03, 0xC1, 0x06, 0x10, 0x00
.db 0x70, 0x00, 0x10, 0x0C, 0xC0, 0x03, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03
.db 0x07, 0xC1, 0x10, 0x0C, 0x00, 0x83, 0x00, 0x83, 0x70, 0x07, 0xC0, 0x00, 0xC1, 0x00, 0x00, 0x03
.db 0xC1, 0x83, 0x83, 0xE0, 0x30, 0x0C, 0x30, 0x0C, 0x00, 0x20, 0x00, 0x00, 0x04, 0x00, 0x00, 0xC1
.db 0x03, 0xC8, 0x70, 0x0C, 0x83, 0x87, 0xE1, 0xC0, 0x83, 0xC3, 0xC1, 0x00, 0xC1, 0x00, 0xE1, 0xC0
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0x83, 0x87, 0xC1, 0x00, 0x87, 0xC3, 0xC3, 0xC0, 0xC1, 0x83
.db 0xC1, 0xE1, 0xC1, 0x83, 0x83, 0x87, 0xC3, 0x81, 0x30, 0x08, 0x83, 0xE0, 0x07, 0xE0, 0x0E, 0x30
.db 0xE1, 0xC1, 0x83, 0xC0, 0x00, 0xC1, 0x30, 0x08, 0xC0, 0x00, 0x10, 0x0C, 0x30, 0x06, 0x00, 0x00
.db 0x00, 0x00, 0x70, 0x0E, 0x93, 0x0E, 0x30, 0x8F, 0x30, 0xEC, 0x30, 0x0E, 0xF3, 0xEF, 0x30, 0xEC
.db 0x83, 0x0F, 0xF3, 0x0C, 0xF1, 0x0F, 0xC1, 0xC3, 0x00, 0x0E, 0x37, 0xC8, 0x83, 0x0F, 0x70, 0x0C
.db 0x93, 0x0E, 0x70, 0xC9, 0xE0, 0xC7, 0x70, 0x0F, 0xF3, 0xCF, 0x83, 0xC1, 0x87, 0xE0, 0x0C, 0x30
.db 0x87, 0xC0, 0x87, 0xE0, 0xF3, 0xCF, 0x10, 0x0C, 0x10, 0x08, 0x70, 0x00, 0x00, 0x00, 0x77, 0x7F
.db 0xFF, 0xFF, 0xC0, 0x03, 0x00, 0x00, 0x60, 0x0E, 0x83, 0xC1, 0x83, 0xE0, 0xF1, 0x0F, 0xF1, 0x0F
.db 0x83, 0xC1, 0x93, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0xC7, 0x00, 0x00, 0xE3, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x10, 0x08
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x81, 0x81, 0x00, 0x00, 0x10, 0x0C, 0xF3, 0xCF
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0xF3, 0xEF, 0xE1, 0x0C, 0x3C, 0x06, 0xE0, 0x0E, 0x00, 0x00
.db 0x70, 0x00, 0x10, 0x0C, 0x20, 0x04, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06
.db 0x07, 0xC1, 0x10, 0x0C, 0x00, 0x83, 0x00, 0x03, 0x60, 0x07, 0xC0, 0x00, 0x83, 0x00, 0x00, 0x03
.db 0xE1, 0x03, 0x83, 0xE0, 0x30, 0x0C, 0x30, 0x0C, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x00, 0x00, 0x83
.db 0x17, 0xC8, 0x60, 0x0E, 0x83, 0x83, 0xC3, 0x00, 0x83, 0xC1, 0xC1, 0x00, 0xC1, 0x00, 0xC3, 0x00
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0x83, 0x0F, 0xC1, 0x00, 0x87, 0xC3, 0xE3, 0xC0, 0x83, 0xC1
.db 0xC1, 0xE0, 0x83, 0xC1, 0x83, 0x83, 0x83, 0x00, 0x30, 0x08, 0x83, 0xE0, 0x83, 0xE0, 0x16, 0x68
.db 0xE1, 0x83, 0x83, 0x81, 0x00, 0x83, 0x30, 0x08, 0x60, 0x00, 0x10, 0x0C, 0x70, 0x06, 0x00, 0x00
.db 0x00, 0x00, 0xF1, 0x0F, 0xB3, 0x8F, 0xF0, 0xCF, 0xF0, 0xEF, 0xF0, 0x0F, 0xF3, 0xEF, 0xF0, 0xEF
.db 0xB3, 0x8F, 0xF3, 0x0C, 0xF1, 0x0F, 0xC1, 0x87, 0x00, 0x0E, 0x77, 0xE9, 0xB3, 0x8F, 0xF1, 0x0F
.db 0xB3, 0x8F, 0xF1, 0xCF, 0xE0, 0xCF, 0xF0, 0x8F, 0xF3, 0xCF, 0x83, 0xC1, 0x83, 0xC1, 0x1E, 0x3C
.db 0xC3, 0x81, 0x83, 0xC0, 0xF3, 0xCF, 0x10, 0x0C, 0x10, 0x08, 0x70, 0x00, 0x00, 0x00, 0x66, 0x31
.db 0xFF, 0xFF, 0x01, 0x80, 0x00, 0x00, 0x60, 0x0E, 0x83, 0xC1, 0x83, 0xE0, 0x81, 0x87, 0xC3, 0x87
.db 0x83, 0xC1, 0x93, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0xF7, 0x00, 0x00, 0xEF, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x10, 0x08
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x02, 0x40, 0x00, 0xC1, 0x83, 0x40, 0x02, 0x10, 0x0C, 0xF1, 0x8F
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0xF3, 0xEF, 0xF0, 0x0C, 0x66, 0x0C, 0xF0, 0x08, 0x00, 0x00
.db 0xE0, 0x00, 0x00, 0x0E, 0x70, 0x0E, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06
.db 0x07, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0x00, 0x06, 0xC0, 0x07, 0xC0, 0x00, 0x93, 0x0F, 0x00, 0x06
.db 0xF0, 0x0F, 0x83, 0xE0, 0x30, 0x0C, 0x30, 0x0C, 0x00, 0xC3, 0x00, 0x00, 0xC3, 0x00, 0x00, 0x87
.db 0x36, 0xC0, 0x60, 0x0E, 0x83, 0x83, 0x83, 0x00, 0x83, 0xE1, 0xC1, 0x00, 0xC1, 0x00, 0x83, 0x00
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0x83, 0x0E, 0xC1, 0x00, 0xC6, 0xC6, 0xE3, 0xC0, 0x83, 0xC1
.db 0xC1, 0xE0, 0x83, 0xC1, 0x83, 0x83, 0x83, 0x00, 0x30, 0x08, 0x83, 0xE0, 0x83, 0xC1, 0x36, 0x6C
.db 0xF0, 0x07, 0xC1, 0x83, 0x00, 0x07, 0x30, 0x08, 0x60, 0x00, 0x10, 0x0C, 0x60, 0x03, 0x00, 0x00
.db 0x00, 0x00, 0x81, 0x87, 0xE3, 0x83, 0xE1, 0x40, 0xE1, 0xE3, 0xE1, 0x83, 0x30, 0x08, 0xE1, 0xE3
.db 0xE3, 0xC3, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0x07, 0x00, 0x0E, 0xF7, 0xEF, 0xE3, 0xC3, 0xC3, 0x87
.db 0xE3, 0x83, 0xC3, 0xC7, 0xF0, 0xC8, 0xE1, 0x80, 0x70, 0x00, 0x83, 0xC1, 0x83, 0xC1, 0x1E, 0x2C
.db 0xE1, 0x03, 0x83, 0xC1, 0x00, 0xC1, 0x10, 0x0C, 0x10, 0x08, 0x70, 0x00, 0x00, 0x00, 0xC6, 0x30
.db 0xFF, 0xFF, 0x62, 0x46, 0x00, 0x00, 0xE0, 0x06, 0x07, 0xE0, 0x83, 0xE0, 0x00, 0x83, 0x83, 0x83
.db 0x83, 0xC1, 0x93, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0xF7, 0x08, 0x10, 0xEF, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0x10, 0x08
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x03, 0xC0, 0x00, 0xF0, 0x0F, 0xC0, 0x03, 0x30, 0x0C, 0xF1, 0x8F
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x60, 0x03, 0x70, 0x0C, 0xC3, 0x0C, 0xF1, 0x00, 0x00, 0x00
.db 0xE0, 0x00, 0x00, 0x0E, 0xE0, 0x07, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C
.db 0x07, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0x70, 0x0C, 0x81, 0x07, 0xF0, 0x0C, 0xB3, 0x8F, 0x00, 0x04
.db 0x70, 0x0C, 0xC3, 0xE1, 0x30, 0x0C, 0x30, 0x0C, 0x00, 0x0F, 0xF7, 0xEF, 0xF0, 0x00, 0x00, 0x0F
.db 0x36, 0xC0, 0xE0, 0x06, 0x83, 0x07, 0x07, 0x00, 0x83, 0xE0, 0xC1, 0x00, 0xC1, 0x00, 0x07, 0x00
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0x93, 0x0C, 0xC1, 0x00, 0xC6, 0xC6, 0xF3, 0xC0, 0x07, 0xE0
.db 0xC1, 0xE0, 0x07, 0xE0, 0x83, 0x83, 0xC3, 0x00, 0x30, 0x08, 0x83, 0xE0, 0xC3, 0xC1, 0x36, 0x6C
.db 0x70, 0x0E, 0xE1, 0x07, 0x00, 0x0E, 0x30, 0x08, 0x30, 0x00, 0x10, 0x0C, 0xC0, 0x03, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x83, 0xC3, 0xC1, 0xC1, 0x00, 0xC1, 0xE0, 0xC1, 0xC1, 0x30, 0x08, 0xC1, 0xE0
.db 0xC3, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0x0F, 0x00, 0x0E, 0x97, 0xEE, 0xC3, 0xC1, 0x83, 0x83
.db 0xC3, 0xC1, 0x83, 0xC1, 0xF0, 0xC0, 0xC1, 0x00, 0x70, 0x00, 0x83, 0xC1, 0xC3, 0xC1, 0x36, 0x6C
.db 0xE0, 0x07, 0xC1, 0x81, 0x00, 0x83, 0x10, 0x0C, 0x10, 0x08, 0x70, 0x00, 0x00, 0x00, 0xC6, 0x30
.db 0xFF, 0xFF, 0x66, 0x66, 0x00, 0x00, 0xC0, 0x07, 0x07, 0xE0, 0x83, 0xE0, 0x00, 0x83, 0x07, 0xC1
.db 0x83, 0xC1, 0x93, 0x0E, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00
.db 0xF7, 0x0E, 0x70, 0xEF, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x10, 0x08, 0xF7, 0xEF
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x81, 0x81, 0x00, 0x70, 0x0E, 0x81, 0x81, 0x30, 0x0E, 0xF0, 0x8F
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x60, 0x06, 0x10, 0x0E, 0x10, 0x08, 0xF3, 0x70, 0x00, 0x00
.db 0xE0, 0x00, 0x00, 0x0E, 0xC1, 0x83, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C
.db 0x07, 0xC1, 0x10, 0x0C, 0x00, 0x0E, 0x70, 0x0E, 0x81, 0x07, 0xF0, 0x0F, 0xE3, 0xC3, 0x00, 0x0C
.db 0xF0, 0x0F, 0xE1, 0xE3, 0x00, 0x00, 0x00, 0x00, 0x30, 0x0C, 0xF7, 0xEF, 0x30, 0x0C, 0x10, 0x0E
.db 0x36, 0xC1, 0xC0, 0x07, 0xF3, 0x0E, 0x07, 0x00, 0x83, 0xE0, 0xC1, 0x00, 0xC1, 0x00, 0x07, 0x00
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0xB3, 0x08, 0xC1, 0x00, 0xC6, 0xC6, 0x73, 0xC8, 0x07, 0xE0
.db 0xC1, 0xE1, 0x07, 0xE0, 0x83, 0x07, 0xF1, 0x00, 0x30, 0x08, 0x83, 0xE0, 0xC1, 0xC1, 0x36, 0x6C
.db 0x30, 0x0C, 0xE0, 0x0E, 0x10, 0x0C, 0x30, 0x08, 0x30, 0x00, 0x10, 0x0C, 0xC0, 0x81, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x83, 0x83, 0xC1, 0x83, 0x00, 0x83, 0xE0, 0x83, 0xC1, 0x30, 0x08, 0x83, 0xE0
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xD1, 0x0E, 0x00, 0x0E, 0x97, 0xEC, 0x83, 0xC1, 0x07, 0xC1
.db 0x83, 0xC1, 0x07, 0xC1, 0xE0, 0x00, 0xC1, 0x00, 0x70, 0x00, 0x83, 0xC1, 0xC1, 0x81, 0x36, 0x6C
.db 0xF0, 0x06, 0xC1, 0x83, 0x00, 0x07, 0x30, 0x08, 0x10, 0x08, 0x30, 0x08, 0x00, 0x00, 0xC6, 0x30
.db 0xFF, 0xFF, 0x04, 0x20, 0x00, 0x00, 0xC1, 0x07, 0x07, 0xE0, 0x83, 0xE0, 0x70, 0x8F, 0x07, 0xC1
.db 0x83, 0xC1, 0x83, 0x0F, 0x10, 0xFF, 0x10, 0x08, 0xFF, 0x08, 0x10, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF
.db 0xF7, 0x8F, 0xF1, 0xEF, 0x10, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0xFF, 0x08, 0xF7, 0xEF
.db 0x10, 0x08, 0x10, 0x08, 0xF7, 0xEF, 0xF7, 0xEF, 0x00, 0x00, 0xF7, 0xEF, 0x70, 0x0E, 0xF0, 0x0F
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0xC0, 0x06, 0x00, 0x8F, 0x30, 0xC3, 0x37, 0x78, 0x00, 0x00
.db 0xE0, 0x00, 0x00, 0x0E, 0x40, 0x02, 0x10, 0x08, 0x00, 0x00, 0xF1, 0x8F, 0x00, 0x00, 0x10, 0x08
.db 0x07, 0xC1, 0x10, 0x0C, 0x10, 0x0C, 0x00, 0x0F, 0x03, 0x07, 0x00, 0x87, 0xC3, 0xE1, 0x10, 0x08
.db 0xC1, 0x8F, 0xF0, 0xEE, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x0F, 0x10, 0x0C
.db 0x36, 0xC1, 0xC1, 0x07, 0xF3, 0x0E, 0x07, 0x00, 0x83, 0xE0, 0xF1, 0x8F, 0xF1, 0xCF, 0x07, 0x00
.db 0xF3, 0xCF, 0x30, 0x08, 0x00, 0x07, 0xF3, 0x00, 0xC1, 0x00, 0x66, 0xC4, 0x33, 0xC8, 0x07, 0xE0
.db 0xC1, 0xC3, 0x07, 0xE0, 0xF3, 0x0E, 0xF0, 0x0E, 0x30, 0x08, 0x83, 0xE0, 0xC1, 0x83, 0x36, 0x6C
.db 0x30, 0x0C, 0x70, 0x0C, 0x10, 0x08, 0x30, 0x08, 0x10, 0x08, 0x10, 0x0C, 0x81, 0x81, 0x00, 0x00
.db 0x00, 0x00, 0x70, 0x8F, 0x83, 0xC1, 0x83, 0x00, 0x83, 0xE0, 0x83, 0xC1, 0x30, 0x08, 0x83, 0xE0
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xD1, 0x0C, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0x07, 0xC1
.db 0x83, 0xC1, 0x07, 0xC1, 0xE0, 0x00, 0xF1, 0x08, 0x70, 0x00, 0x83, 0xC1, 0xC1, 0x83, 0x26, 0x64
.db 0x70, 0x0C, 0xE1, 0x83, 0x00, 0x0E, 0xF1, 0x00, 0x10, 0x08, 0x10, 0x0F, 0xE1, 0x60, 0xC6, 0x30
.db 0xFF, 0xFF, 0x04, 0x20, 0xFF, 0xFF, 0xC1, 0x83, 0x07, 0xE0, 0x83, 0xE0, 0xF0, 0x8F, 0x07, 0xC1
.db 0x83, 0xC1, 0x83, 0x87, 0x10, 0xFF, 0x10, 0x08, 0xFF, 0x08, 0x10, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF
.db 0xF7, 0xEF, 0xF7, 0xEF, 0x10, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0xFF, 0x08, 0x10, 0x08
.db 0x10, 0x08, 0x10, 0x08, 0xF7, 0xEF, 0xF7, 0xEF, 0x00, 0x00, 0xF7, 0xEF, 0x70, 0x0F, 0x70, 0x0F
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0xF7, 0xCF, 0x00, 0x8F, 0x30, 0x66, 0x3E, 0x7C, 0x00, 0x00
.db 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0xF7, 0xEF, 0x00, 0x00, 0xF1, 0x8F, 0x00, 0x00, 0x10, 0x08
.db 0x07, 0xC1, 0x10, 0x0C, 0x30, 0x08, 0x00, 0x87, 0x06, 0x07, 0x00, 0xC3, 0x83, 0xE0, 0x10, 0x08
.db 0x81, 0x87, 0x70, 0xEC, 0x00, 0x00, 0x00, 0x00, 0xC3, 0x00, 0x00, 0x00, 0x00, 0xC3, 0x30, 0x08
.db 0x36, 0xC3, 0xC1, 0x83, 0x83, 0x87, 0x07, 0x00, 0x83, 0xE0, 0xF1, 0x8F, 0xF1, 0xCF, 0x07, 0xCF
.db 0xF3, 0xCF, 0x30, 0x08, 0x00, 0x07, 0xB3, 0x08, 0xC1, 0x00, 0x66, 0xCC, 0x33, 0xCC, 0x07, 0xE0
.db 0xF1, 0x8F, 0x07, 0xE0, 0xF3, 0x0C, 0x30, 0x8F, 0x30, 0x08, 0x83, 0xE0, 0xE0, 0x83, 0x27, 0xE6
.db 0x30, 0x0E, 0x70, 0x0C, 0x30, 0x00, 0x30, 0x08, 0x10, 0x08, 0x10, 0x0C, 0x81, 0x81, 0x00, 0x00
.db 0x00, 0x00, 0xF0, 0x8F, 0x83, 0xC1, 0x83, 0x00, 0x83, 0xE0, 0xF3, 0xCF, 0x30, 0x08, 0x83, 0xE0
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xF1, 0x0C, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0x07, 0xC1
.db 0x83, 0xC1, 0x07, 0xC1, 0xE0, 0x00, 0xF0, 0x0E, 0x70, 0x00, 0x83, 0xC1, 0xE0, 0x83, 0x67, 0x66
.db 0x30, 0x0C, 0xE0, 0x07, 0x10, 0x0C, 0xF1, 0x00, 0x10, 0x08, 0x10, 0x0F, 0xF3, 0x6C, 0xC6, 0x30
.db 0xFF, 0xFF, 0x84, 0x21, 0xFF, 0xFF, 0x81, 0x83, 0x07, 0xE0, 0x83, 0xE0, 0xC1, 0x83, 0x07, 0xC1
.db 0x83, 0xC1, 0x83, 0xC3, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0xF7, 0x8F, 0xF1, 0xEF, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x81, 0x81, 0x00, 0x00, 0x00, 0x81, 0x81, 0xF0, 0x0F, 0x70, 0x0E
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0xF7, 0xCF, 0x00, 0xCD, 0x60, 0x3C, 0x1E, 0x6C, 0x00, 0x00
.db 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0xF7, 0xEF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00
.db 0x07, 0xC1, 0x10, 0x0C, 0x70, 0x00, 0x00, 0x83, 0xF7, 0xEF, 0x00, 0xC1, 0x83, 0xE0, 0x30, 0x00
.db 0x83, 0xC3, 0x00, 0xE0, 0x00, 0x00, 0x00, 0x00, 0xC3, 0x00, 0x00, 0x00, 0x00, 0xC3, 0x30, 0x08
.db 0x36, 0xC2, 0x81, 0x83, 0x83, 0xC3, 0x07, 0x00, 0x83, 0xE0, 0xC1, 0x00, 0xC1, 0x00, 0x07, 0xCF
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0xB3, 0x0C, 0xC1, 0x00, 0x66, 0xCC, 0x13, 0xCE, 0x07, 0xE0
.db 0xF1, 0x0E, 0x07, 0xE0, 0x93, 0x0E, 0x00, 0xC7, 0x30, 0x08, 0x83, 0xE0, 0xE0, 0x03, 0x63, 0xC6
.db 0x70, 0x0E, 0x30, 0x08, 0x70, 0x00, 0x30, 0x08, 0x00, 0x0C, 0x10, 0x0C, 0x03, 0xC0, 0x00, 0x00
.db 0x00, 0x00, 0xC1, 0x83, 0x83, 0xC1, 0x83, 0x00, 0x83, 0xE0, 0xF3, 0xCF, 0x30, 0x08, 0x83, 0xE0
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xD1, 0x0C, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0x07, 0xC1
.db 0x83, 0xC1, 0x07, 0xC1, 0xE0, 0x00, 0x10, 0x8F, 0x70, 0x00, 0x83, 0xC1, 0xE0, 0x03, 0x67, 0x46
.db 0x30, 0x0C, 0xF0, 0x07, 0x30, 0x08, 0x30, 0x08, 0x10, 0x08, 0x30, 0x08, 0x36, 0xCF, 0x66, 0x31
.db 0xFF, 0xFF, 0x84, 0x21, 0xFF, 0xFF, 0xF3, 0xCF, 0x07, 0xE0, 0x83, 0xE0, 0x83, 0x83, 0x07, 0xC1
.db 0x83, 0xC1, 0x83, 0xE1, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0xF7, 0x0E, 0x70, 0xEF, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x03, 0xC0, 0x00, 0x00, 0x00, 0xC0, 0x03, 0xF0, 0x8F, 0x30, 0x0E
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x81, 0x0C, 0x00, 0xCD, 0xC0, 0x3C, 0x0E, 0x6E, 0x00, 0x00
.db 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00
.db 0x07, 0xC1, 0x10, 0x0C, 0xE0, 0x00, 0x00, 0x83, 0xF7, 0xEF, 0x00, 0xC1, 0x83, 0xE0, 0x30, 0x00
.db 0x83, 0xC1, 0x00, 0xC1, 0x00, 0x00, 0x00, 0x00, 0xF0, 0x00, 0xF7, 0xEF, 0x00, 0x0F, 0x30, 0x08
.db 0x17, 0xFE, 0xF3, 0xCF, 0x83, 0xC1, 0x07, 0x00, 0x83, 0xE0, 0xC1, 0x00, 0xC1, 0x00, 0x07, 0xC1
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0x93, 0x0E, 0xC1, 0x00, 0x36, 0xC8, 0x03, 0xCF, 0x07, 0xE0
.db 0xC1, 0x00, 0x07, 0xE0, 0x83, 0x0E, 0x00, 0xC1, 0x30, 0x08, 0x83, 0xE0, 0x70, 0x07, 0x63, 0xC6
.db 0x60, 0x0F, 0x30, 0x08, 0xE0, 0x00, 0x30, 0x08, 0x00, 0x0C, 0x10, 0x0C, 0x03, 0xC0, 0x00, 0x00
.db 0x00, 0x00, 0x83, 0x83, 0x83, 0xC1, 0x83, 0x00, 0x83, 0xE0, 0x83, 0x00, 0x30, 0x08, 0x83, 0xE0
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xD1, 0x0E, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0x07, 0xC1
.db 0x83, 0xC1, 0x07, 0xC1, 0xE0, 0x00, 0x00, 0xC3, 0x70, 0x00, 0x83, 0xC1, 0x70, 0x07, 0x63, 0xC6
.db 0x70, 0x0E, 0x70, 0x0E, 0x70, 0x00, 0x10, 0x0C, 0x10, 0x08, 0x70, 0x00, 0x06, 0x87, 0x77, 0x7F
.db 0xFF, 0xFF, 0xC6, 0x63, 0xFF, 0xFF, 0xF3, 0xCF, 0x83, 0xC1, 0x83, 0xE0, 0x83, 0x83, 0x07, 0xC1
.db 0x83, 0xC1, 0x83, 0xE0, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0xF7, 0x08, 0x10, 0xEF, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x02, 0x40, 0x00, 0x00, 0x00, 0x40, 0x02, 0xF1, 0x8F, 0x30, 0x0C
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x0C, 0x00, 0xCD, 0x81, 0x3C, 0x0E, 0xE7, 0x00, 0x00
.db 0xE0, 0x00, 0x00, 0x0E, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x60, 0x00
.db 0x83, 0x83, 0x10, 0x0C, 0xC0, 0x00, 0x00, 0x83, 0x00, 0x07, 0x00, 0xC1, 0xC1, 0xE0, 0x60, 0x00
.db 0x83, 0xC1, 0x00, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x30, 0x0C, 0xF7, 0xEF, 0x30, 0x0C, 0x00, 0x00
.db 0x13, 0xFC, 0xF3, 0xCF, 0x83, 0xC1, 0x83, 0x00, 0x83, 0xC1, 0xC1, 0x00, 0xC1, 0x00, 0x83, 0xC1
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0x83, 0x0F, 0xC1, 0x00, 0x36, 0xC8, 0x03, 0xC7, 0x83, 0xC1
.db 0xC1, 0x00, 0x83, 0xC1, 0x83, 0x0F, 0x00, 0xC1, 0x30, 0x08, 0x83, 0xE0, 0x70, 0x07, 0x63, 0xC6
.db 0xC0, 0x87, 0x30, 0x08, 0xC1, 0x00, 0x30, 0x08, 0x00, 0x06, 0x10, 0x0C, 0x06, 0x60, 0x00, 0x00
.db 0x00, 0x00, 0x83, 0x83, 0x83, 0xC1, 0xC3, 0x00, 0x83, 0xE0, 0x83, 0x00, 0x30, 0x08, 0x83, 0xE0
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0x0F, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0x07, 0xC1
.db 0x83, 0xC1, 0x07, 0xC1, 0xE0, 0x00, 0x00, 0xC1, 0x70, 0x00, 0x83, 0xC1, 0x70, 0x07, 0x43, 0xC6
.db 0xE0, 0x0F, 0x70, 0x0E, 0xE0, 0x00, 0x10, 0x0C, 0x10, 0x08, 0x70, 0x00, 0x00, 0x00, 0x13, 0x6E
.db 0xFF, 0xFF, 0x42, 0x42, 0xFF, 0xFF, 0x07, 0xC1, 0x83, 0xC1, 0xC3, 0xE1, 0x83, 0x83, 0x83, 0x83
.db 0x83, 0xC3, 0x83, 0xE0, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0xF7, 0x00, 0x00, 0xEF, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF1, 0x8F, 0x10, 0x0C
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x0C, 0x00, 0xCD, 0x81, 0x3C, 0x0F, 0xC7, 0x00, 0x00
.db 0x70, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x30, 0x0C, 0x00, 0x00, 0x30, 0x0C, 0x60, 0x00
.db 0x83, 0x83, 0x10, 0x0C, 0xC1, 0x00, 0x00, 0x87, 0x00, 0x07, 0x00, 0xC3, 0xC1, 0xC1, 0x60, 0x00
.db 0x83, 0xC1, 0x00, 0x83, 0x30, 0x0C, 0x30, 0x0C, 0x00, 0x0F, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00
.db 0x83, 0x00, 0x07, 0xC1, 0x83, 0xC1, 0xC3, 0x00, 0x83, 0xC1, 0xC1, 0x00, 0xC1, 0x00, 0xC3, 0xC1
.db 0x83, 0xC1, 0x30, 0x08, 0x00, 0x07, 0x83, 0x87, 0xC1, 0x00, 0x36, 0xC8, 0x03, 0xC7, 0x83, 0xC1
.db 0xC1, 0x00, 0x83, 0xC1, 0x83, 0x87, 0x00, 0xC1, 0x30, 0x08, 0xC3, 0xE1, 0x70, 0x0E, 0x43, 0xC7
.db 0x81, 0xC3, 0x30, 0x08, 0x83, 0x00, 0x30, 0x08, 0x00, 0x06, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x83, 0x83, 0x83, 0x83, 0xC1, 0x00, 0xC3, 0xE1, 0xC1, 0x00, 0x30, 0x08, 0xC3, 0xE1
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0x07, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0x83, 0x83
.db 0x83, 0x83, 0x87, 0xC3, 0xE0, 0x00, 0x00, 0xC1, 0x70, 0x00, 0x83, 0xC3, 0x70, 0x06, 0xC3, 0xC3
.db 0xC0, 0x07, 0x30, 0x0C, 0xC1, 0x00, 0x10, 0x0C, 0x10, 0x08, 0x70, 0x00, 0x00, 0x00, 0x83, 0xE0
.db 0xFF, 0xFF, 0x31, 0x8C, 0xFF, 0xFF, 0x07, 0xE0, 0xC1, 0x83, 0xC1, 0xC1, 0xC3, 0x87, 0xC3, 0x87
.db 0xC3, 0xC7, 0x93, 0xE0, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0xC7, 0x00, 0x00, 0xE3, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF3, 0xCF, 0x10, 0x0C
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x81, 0x0C, 0x81, 0x8D, 0x03, 0x3C, 0x87, 0xC3, 0x00, 0x00
.db 0x70, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x30, 0x0C, 0x00, 0x00, 0x30, 0x0C, 0xC0, 0x00
.db 0xC1, 0x07, 0x10, 0x0C, 0x83, 0x00, 0x01, 0x0F, 0x00, 0x07, 0x80, 0x87, 0xE0, 0xC1, 0xE0, 0x00
.db 0xC1, 0x83, 0x01, 0x87, 0x30, 0x0C, 0x30, 0x0C, 0x00, 0xC3, 0x00, 0x00, 0xC3, 0x00, 0x30, 0x08
.db 0xC1, 0x01, 0x07, 0xE0, 0x83, 0xC3, 0xE1, 0x40, 0x83, 0x87, 0xC1, 0x00, 0xC1, 0x00, 0xE1, 0xC1
.db 0x83, 0xC1, 0x30, 0x08, 0x02, 0x0E, 0x83, 0xC3, 0xC1, 0x00, 0x06, 0xC0, 0x03, 0xC3, 0xC1, 0x83
.db 0xC1, 0x00, 0xC1, 0x83, 0x83, 0xC3, 0x03, 0x83, 0x30, 0x08, 0xC1, 0xC1, 0x30, 0x0E, 0xC3, 0xC3
.db 0x83, 0xC1, 0x30, 0x08, 0x07, 0x00, 0x30, 0x08, 0x00, 0x03, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0xC3, 0x87, 0xC3, 0x87, 0xF1, 0x40, 0xC1, 0xE3, 0xE1, 0x40, 0x30, 0x08, 0xC1, 0xE3
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0x87, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0xC3, 0x87
.db 0xC3, 0x87, 0x83, 0xC7, 0xE0, 0x00, 0x81, 0xC3, 0x70, 0x08, 0xC3, 0xC7, 0x30, 0x0E, 0xC3, 0xC3
.db 0xC1, 0x87, 0x30, 0x0C, 0x83, 0x00, 0x10, 0x0C, 0x10, 0x08, 0x70, 0x00, 0x00, 0x00, 0xC1, 0xC1
.db 0xFF, 0xFF, 0xC0, 0x03, 0xFF, 0xFF, 0x07, 0xE0, 0xF0, 0x0F, 0xF0, 0x8F, 0xF1, 0xED, 0xF1, 0x0F
.db 0xF1, 0xCD, 0x93, 0xCF, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x07, 0x00, 0x00, 0xE0, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0xF7, 0xEF
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF3, 0xCF, 0x00, 0x08
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x13, 0x08, 0xF1, 0x8F, 0x06, 0x66, 0xF3, 0xEF, 0x00, 0x00
.db 0x70, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x10, 0x08, 0x30, 0x0C, 0x00, 0x00, 0x30, 0x0C, 0xC0, 0x00
.db 0xF0, 0x0E, 0xF3, 0xEF, 0xF3, 0x8F, 0xF1, 0x0E, 0x00, 0x07, 0xF0, 0x0F, 0xF0, 0x8F, 0xC0, 0x00
.db 0xF0, 0x0F, 0xF1, 0x0F, 0x30, 0x0C, 0x30, 0x0C, 0x00, 0xE0, 0x00, 0x00, 0x07, 0x00, 0x30, 0x08
.db 0xF0, 0x0F, 0x07, 0xE0, 0xF3, 0x8F, 0xF0, 0xCF, 0xF3, 0x0F, 0xF1, 0xEF, 0xC1, 0x00, 0xF0, 0xCF
.db 0x83, 0xC1, 0xF3, 0x8F, 0xF3, 0x0C, 0x83, 0xE1, 0xF1, 0xCF, 0x06, 0xC0, 0x03, 0xC1, 0xF0, 0x0F
.db 0xC1, 0x00, 0xF0, 0x0F, 0x83, 0xC1, 0xF3, 0x8F, 0x30, 0x08, 0xF0, 0x8F, 0x30, 0x0E, 0xC3, 0x83
.db 0x07, 0xE1, 0x30, 0x08, 0xF7, 0xCF, 0x30, 0x08, 0x00, 0x03, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0xF1, 0xED, 0xF3, 0x0F, 0xF0, 0xCF, 0xF0, 0xEE, 0xF0, 0xCF, 0x30, 0x08, 0xF0, 0xEE
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0xC3, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0xF1, 0x0F
.db 0xF3, 0x0F, 0xF1, 0xCD, 0xE0, 0x00, 0xF1, 0x8F, 0x30, 0xCF, 0xF1, 0xCD, 0x30, 0x0E, 0xC3, 0x83
.db 0x83, 0xC3, 0x30, 0x08, 0xF3, 0xCF, 0x30, 0x08, 0x10, 0x08, 0x30, 0x08, 0x00, 0x00, 0xF0, 0x8F
.db 0xFF, 0xFF, 0x70, 0x0E, 0xFF, 0xFF, 0x0E, 0x70, 0x70, 0x0E, 0x70, 0x0F, 0xF0, 0xE1, 0x70, 0x0C
.db 0xF0, 0xC1, 0x83, 0x8F, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x04, 0x00, 0x00, 0x20, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0xF7, 0xEF
.db 0x10, 0x08, 0xD0, 0x0B, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF7, 0xEF, 0x00, 0x08
.db 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x13, 0x08, 0x70, 0x0F, 0x0C, 0xC3, 0xF0, 0xFC, 0x00, 0x00
.db 0x30, 0x08, 0x30, 0x08, 0x00, 0x00, 0x10, 0x08, 0x30, 0x0C, 0x00, 0x00, 0x30, 0x0C, 0x81, 0x00
.db 0x70, 0x0C, 0xF3, 0xEF, 0xF3, 0x8F, 0xF1, 0x0C, 0x00, 0x07, 0xF0, 0x0C, 0x30, 0x0E, 0xC0, 0x00
.db 0x70, 0x0E, 0xF0, 0x0C, 0x30, 0x0C, 0x30, 0x0C, 0x00, 0x20, 0x00, 0x00, 0x04, 0x00, 0x30, 0x08
.db 0x30, 0x0E, 0x0E, 0x70, 0xF3, 0x0E, 0x30, 0x8F, 0xF3, 0x0C, 0xF1, 0xEF, 0xC1, 0x00, 0x30, 0x8F
.db 0x83, 0xC1, 0xF3, 0x8F, 0xF3, 0x08, 0x83, 0xF1, 0xF1, 0xCF, 0x06, 0xC0, 0x03, 0xC1, 0x70, 0x0E
.db 0xC1, 0x00, 0x70, 0x0E, 0x83, 0xE1, 0xF0, 0x0E, 0x30, 0x08, 0x70, 0x0F, 0x10, 0x0C, 0xC3, 0x83
.db 0x0E, 0xF0, 0x30, 0x08, 0xF7, 0xCF, 0x30, 0x08, 0x00, 0x81, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0xF0, 0xE1, 0x33, 0x0E, 0x30, 0x8F, 0x70, 0xEC, 0x30, 0x8F, 0x30, 0x08, 0x70, 0xEC
.db 0x83, 0xC1, 0x10, 0x0C, 0x00, 0x07, 0xC1, 0xE1, 0x00, 0x0E, 0x17, 0xEC, 0x83, 0xC1, 0x70, 0x0C
.db 0x93, 0x0E, 0xF0, 0xC1, 0xE0, 0x00, 0xF0, 0x0E, 0x10, 0xCF, 0xF0, 0xC1, 0x10, 0x0C, 0x81, 0x83
.db 0x07, 0xE1, 0x10, 0x08, 0xF3, 0xCF, 0x30, 0x08, 0x10, 0x08, 0x30, 0x08, 0x00, 0x00, 0x70, 0x0F
.db 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x10, 0x08, 0x70, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x10, 0x0C, 0x70, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x81, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x87, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08, 0x00, 0x81, 0x10, 0x0C, 0x00, 0x00, 0xFF, 0xFF
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xE0
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x83, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x30, 0x08, 0x00, 0x00, 0x30, 0x08, 0x10, 0x08, 0x30, 0x08, 0x00, 0x00, 0x00, 0x00
.db 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x10, 0x08, 0x30, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x0F, 0xE1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0xE1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x08, 0x00, 0xC0, 0x10, 0x0C, 0x00, 0x00, 0xFF, 0xFF
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC1
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x83, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x30, 0x00, 0x00, 0x00, 0x30, 0x0C, 0x10, 0x08, 0x70, 0x08, 0x00, 0x00, 0x00, 0x00
.db 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x87, 0xC3, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x03, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xCF, 0x00, 0xC0, 0xF3, 0x0C, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0xC3
.db 0x00, 0x00, 0x00, 0x00, 0x02, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x83, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x70, 0x00, 0x00, 0x00, 0x10, 0x8F, 0x10, 0x08, 0xF3, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0xFF, 0xFF, 0x00, 0x00, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x10, 0x08
.db 0x00, 0x00, 0x00, 0x00, 0x10, 0x08, 0x00, 0x00, 0x10, 0x08, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x10, 0x08, 0x10, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x81, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x06, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0xCF, 0x00, 0x60, 0xF3, 0x0C, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xF1, 0x8F
.db 0x00, 0x00, 0x00, 0x00, 0xF3, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x83, 0x00, 0x00, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
.db 0x00, 0x00, 0xE3, 0x00, 0x00, 0x00, 0x00, 0x8F, 0x10, 0x08, 0xE3, 0x00, 0x00, 0x00, 0x00, 0x00
.endif
